#!/bin/sh
#Bloqueio e Desbloqueio programado para Easy Captive
#By daniel.uramg - 13/11/2010
. /etc/coyote/coyote.conf
if [ -n "$LANGUAGE_WEBADMIN" ]; then
  LC=`echo $LANGUAGE_WEBADMIN`
  [ -e "/usr/local/easycaptive/language/language.$LC" ] && . /usr/local/easycaptive/language/language.$LC || . /usr/local/easycaptive/language/language.ENU
else
 . /usr/local/easycaptive/language/language.ENU
fi

PASSWD="/usr/local/easycaptive/config/passwd"
FILEFUNC="/usr/local/easycaptive/bin/./easycaptive"
ACLOG="/partition/easycaptive/log/accesos.log"
SUSPENDFILE="/usr/local/easycaptive/config/suspend.file"
DATE=`date +%d/%m/%Y`
TIME=`date "+%H:%M"`
WEEK=`date +%a`
JUMPDAY=`grep "^$DATE" /usr/local/easycaptive/config/jumpday`
JUMPWEEK=`grep "^$WEEK" /usr/local/easycaptive/config/jumpweek`
IFS=-

#func() {
cat $SUSPENDFILE | while read USERNAME LOCK UNLOCK; do
username=`grep "^$USERNAME:" $PASSWD | cut -f 1 -d:`
pass=`grep "^$USERNAME:" $PASSWD | cut -f 2 -d:`
[ -z "$pass" ] && pass="0"
ip=`grep "^$USERNAME:" $PASSWD | cut -f 3 -d:`
tipo=`grep "^$USERNAME:" $PASSWD | cut -f 4 -d:`
permissao=`grep "^$USERNAME:" $PASSWD | cut -f 5 -d:`
data=`grep "^$USERNAME:" $PASSWD | cut -f 6 -d:`
situacao=`grep "^$USERNAME:" $PASSWD | cut -f 7 -d:`

#Se usuario esta Liberado, suspender (5)
	if [ "$TIME" = "$LOCK" -a "$permissao" = "0" -a -z "$JUMPWEEK" -a -z "$JUMPDAY" ]; then
$FILEFUNC DEL "$username"
$FILEFUNC ADD "$username" "$pass" "$ip" "$tipo" "5" "$data" "$situacao"
	echo "$DATE - $TIME $ip ($USERNAME) - $ECame" >> $ACLOG
   /usr/sbin/lrcfg.back easycaptive
   rm -f /tmp/easycaptive.needsave
echo "Suspendendo $username s $TIME"
	fi

#Se usuario esta Pr-Bloqueado, suspender (6)
	if [ "$TIME" = "$LOCK" -a "$permissao" = "1" -a -z "$JUMPWEEK" -a -z "$JUMPDAY" ]; then
$FILEFUNC DEL "$username"
$FILEFUNC ADD "$username" "$pass" "$ip" "$tipo" "6" "$data" "$situacao"
	echo "$DATE - $TIME $ip ($USERNAME) - $ECame" >> $ACLOG
   /usr/sbin/lrcfg.back easycaptive
   rm -f /tmp/easycaptive.needsave
echo "Suspendendo $username s $TIME"
	fi

#Se usuario esta suspenso e (5) liberar
	if [ "$TIME" = "$UNLOCK" -a "$permissao" = "5" ]; then
$FILEFUNC DEL "$username"
$FILEFUNC ADD "$username" "$pass" "$ip" "$tipo" "0" "$data" "$situacao"
	echo "$DATE - $TIME $ip ($USERNAME) - $ECamf" >> $ACLOG
   /usr/sbin/lrcfg.back easycaptive
   rm -f /tmp/easycaptive.needsave
echo "Desbloqueando $username s $TIME"
	fi

#Se usuario esta suspenso e (6) pr-bloquear
	if [ "$TIME" = "$UNLOCK" -a "$permissao" = "6" ]; then
$FILEFUNC DEL "$username"
$FILEFUNC ADD "$username" "$pass" "$ip" "$tipo" "1" "$data" "$situacao"
	echo "$DATE - $TIME $ip ($USERNAME) - $ECamf" >> $ACLOG
   /usr/sbin/lrcfg.back easycaptive
   rm -f /tmp/easycaptive.needsave
echo "Desbloqueando $username s $TIME"
	fi
done
echo "Nada mais programado para $TIME"
#}

#Loop
#while [ read ]; do
#func
#sleep 10
#done

exit;
