#!/bin/sh
#/var/http/htdocs/cgi-bin/easycaptive.cgi
. /var/http/web-functions

if [ -n "$LANGUAGE_WEBADMIN" ]; then
  LC=`echo $LANGUAGE_WEBADMIN`
  [ -e "/usr/local/easycaptive/language/language.$LC" ] && . /usr/local/easycaptive/language/language.$LC || . /usr/local/easycaptive/language/language.ENU
else
 . /usr/local/easycaptive/language/language.ENU
fi

VERIF_LOG=`grep arquivlog.sh /var/spool/cron/crontabs/root`
CONFFILE="/usr/local/easycaptive/config/easycaptive.conf"
MSMTPFILE="/usr/local/easycaptive/config/.msmtprc"
PLANOSFILE="/usr/local/easycaptive/config/planos"

##>>
#funo arquivar logs --> Jordi Tejada 2009 (c)HITBIT
DIA=`date +%Y-%m-%d`
if [ "$FORM_BORRAR" = "$ECafe" ]; then
   ACLOG1="/partition/easycaptive/log/accesos.log"
   ACLOG2="/partition/easycaptive/oldlog/$DIA-accesos.log"
   mv $ACLOG1 $ACLOG2
fi

if [ "$FORM_BORRAR2" = "$ECafe" ]; then
   LKLOG1="/partition/easycaptive/log/locked.log"
   LKLOG2="/partition/easycaptive/oldlog/$DIA-locked.log"
   mv $LKLOG1 $LKLOG2
fi

if [ "$FORM_BORRAR3" = "$ECafe" ]; then
   BTLOG1="/partition/easycaptive/log/bruteforce.log"
   BTLOG2="/partition/easycaptive/oldlog/$DIA-bruteforce.log"
   mv $BTLOG1 $BTLOG2
fi

if [ "$FORM_BORRAR4" = "$ECafe" ]; then
   BLLOG1="/partition/easycaptive/log/blacklist.log"
   BLLOG2="/partition/easycaptive/oldlog/$DIA-blacklist.log"
   mv $BLLOG1 $BLLOG2
fi
##<<

##>>
func_add_plano() {
cat << CLEOF
<div align="center">
<table width="37%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="6" valign="middle" class="row7" id="normal">Easy Captive - $ECale</td>
      </tr>
<form method="POST" action="easycaptive.cgi">
      <tr>
        <td width="35%" class="row2"><div align="right"><span class="style3">$ECalf: </span></div></td>
        <td width="65%" class="row3">
        <input name="NOME_PLANO" value="${1}" size="12" style="font-family: Verdana; font-size: 8 pt; " /></td>
      </tr>
      <tr>
        <td width="35%" class="row2"><div align="right"><span class="style3">$ECajc: </span></div></td>
        <td width="65%" class="row3">
        <input name="DOWN_MIN" value="${4}" size="4" maxlength="6" style="font-family: Verdana; font-size: 8 pt; " /> kbit/s</td>
      </tr>
      <tr>
        <td width="35%" class="row2"><div align="right"><span class="style3">$ECajd: </span></div></td>
        <td width="65%" class="row3">
        <input name="DOWN_MAX" value="${5}" size="4" maxlength="6" style="font-family: Verdana; font-size: 8 pt; " /> kbit/s</td>
      </tr>
      <tr>
        <td width="35%" class="row2"><div align="right"><span class="style3">$ECaje: </span></div></td>
        <td width="65%" class="row3">
        <input name="UP_MIN" value="${2}" size="4" maxlength="6" style="font-family: Verdana; font-size: 8 pt; " /> kbit/s</td>
      </tr>
      <tr>
        <td width="35%" class="row2"><div align="right"><span class="style3">$ECajf: </span></div></td>
        <td width="65%" class="row3">
        <input name="UP_MAX" value="${3}" size="4" maxlength="6" style="font-family: Verdana; font-size: 8 pt; " /> kbit/s</td>
      </tr>
      <tr>
        <td width="35%" class="row2">&nbsp;</td>
        <td width="65%" class="row3">
        <input type="submit" value="$ECacj" name="ADD_PLANO"></td>
      </tr>
CLEOF
}
##<<

##>>
func_planos(){
cat << CLEOF
<div align="center">
<table width="100%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="6" valign="middle" class="row7" id="normal">Easy Captive - $ECalg</td>
      </tr>
      <tr class="row7">
        <td width="16%" class="row3"><div align="center"><span class="style6"><b>$ECalf</b></span></div></td>
        <td width="14%" class="row3"><div align="center"><span class="style6"><b>$ECajc</b></span></div></td>
        <td width="14%" class="row3"><div align="center"><span class="style6"><b>$ECajd</b></span></div></td>
        <td width="14%" class="row3"><div align="center"><span class="style6"><b>$ECaje</b></span></div></td>
        <td width="14%" class="row3"><div align="center"><span class="style6"><b>$ECajf</b></span></div></td>
        <td width="28%" class="row3"><div align="center"><span class="style6"><b>$ECabf</b></span></div></td>
     </tr>
CLEOF
IFS=:
cat $PLANOSFILE | while read plano up_min up_max down_min down_max; do
[ $cor = 0 ] && { var="row8"; cor=1; } || { var="row6"; cor=0; }
cat << CLEOF
        <tr>
        <td class="$var style7"><div align="center">$plano</div></td>
        <td class="$var style7"><div align="center">$down_min kbit/s</div></td>
        <td class="$var style7"><div align="center">$down_max kbit/s</div></td>
        <td class="$var style7"><div align="center">$up_min kbit/s</div></td>
        <td class="$var style7"><div align="center">$up_max kbit/s</div></td>
        <td class="$var style7"><div align="center">[<a href="?action=PLANOS&exec=EXCLUIR&plano=$plano">$ECabk</a>] [<a href="?action=PLANOS&exec=EDITAR&plano=$plano">$ECabj</a>]</div></td>
CLEOF
done
cat << CLEOF
    </table></td>
  </tr>
</div>
        <td class="row3 style7"> <div align="right">[<a href="?action=PLANOS&exec=ADD">$ECabm</a>]</div></td>
</table>
CLEOF
}

if [ "$FORM_ENVIAR" = "$ECabo" ]; then

##>>
#Arquivamento dos LOGs - By daniel.uramg
	if [ "$FORM_ARQUIVAMENTO" = "automatico" ]; then
		sed -i '/arquivlog.sh/d' /var/spool/cron/crontabs/root
		echo "59 23 * * * /usr/local/easycaptive/bin/./arquivlog.sh" >> /var/spool/cron/crontabs/root
		/usr/sbin/cron.reload >/dev/null 2>&1
	elif [ "$FORM_ARQUIVAMENTO" = "manual" ]; then
		sed -i '/arquivlog.sh/d' /var/spool/cron/crontabs/root
		/usr/sbin/cron.reload >/dev/null 2>&1
fi
##<<

   if [ -z "$FORM_LOGIN_PASS" -a -z "$FORM_RLOGIN_PASS" ]; then
      VARLOGINPASS=`grep PASS= $CONFFILE | cut -f 2 -d =`
   elif [ "$FORM_LOGIN_PASS" != "$FORM_RLOGIN_PASS" ]; then
      CERROR="$ECabq"
   else
     LOGTEMP=`echo "$FORM_LOGIN_PASS"`
     VARLOGINPASS="`/usr/bin/cryptpw $LOGTEMP`"
   fi      
   
   if [ -z "$CERROR" ]; then
   
   VARBRUTEFORCE=`echo $FORM_BRUTE_FORCE | sed s/[^0-9]//g`
   VAREASYPORT=`echo $FORM_EASY_PORT | sed s/[^0-9]//g`
   
   [ -z "$VAREASYPORT" ] && VAREASYPORT=8282
   [ -z "$VARBRUTEFORCE" ] && VARBRUTEFORCE=0
   [ "$VARBRUTEFORCE" -gt 59 ] && VARBRUTEFORCE=59

##>>Cria arquivo para MSMTP
   echo "#.msmtprc" > $MSMTPFILE
   echo "defaults" >> $MSMTPFILE
   echo "tls on" >> $MSMTPFILE
   echo "tls_certcheck off" >> $MSMTPFILE
   echo "account gmail" >> $MSMTPFILE
   echo "host smtp.gmail.com" >> $MSMTPFILE
   echo "port 587" >> $MSMTPFILE
   echo "from $FORM_EMAIL" >> $MSMTPFILE
   echo "auth on" >> $MSMTPFILE
   echo "user $FORM_EMAIL" >> $MSMTPFILE
   echo "password $FORM_EMAIL_PASSWORD" >> $MSMTPFILE
   echo "account default : gmail" >> $MSMTPFILE
   chmod 0600 $MSMTPFILE
##<<
   
   echo "METODO=$FORM_METODO" > $CONFFILE
   echo "EASY_PORT=$VAREASYPORT" >> $CONFFILE
   echo "BRUTETIME=$VARBRUTEFORCE" >> $CONFFILE
   echo "LOGIN=$FORM_LOGIN_ADMIN" >> $CONFFILE
   echo "PASS=$VARLOGINPASS" >> $CONFFILE
   echo "PRAZO=$FORM_PRAZO" >> $CONFFILE
   echo "AUTO_MP=$FORM_AUTO_MP" >> $CONFFILE
   echo "AVISO_1=\"$FORM_AVISO_1"\" >> $CONFFILE
   echo "AVISO_2=\"$FORM_AVISO_2"\" >> $CONFFILE
   echo "AVISO_3=\"$FORM_AVISO_3"\" >> $CONFFILE
   echo "AMARRACAO=$FORM_AMARRACAO" >> $CONFFILE
   echo "RESERVA=$FORM_RESERVA" >> $CONFFILE
   echo "QOS=$FORM_QOS" >> $CONFFILE
   echo "QOS_MODO=$FORM_QOS_MODO" >> $CONFFILE
   echo "EMAIL=$FORM_EMAIL" >> $CONFFILE
   echo "PLANO=$FORM_PLANO" >> $CONFFILE
   echo "CADASTRO=$FORM_CADASTRO" >> $CONFFILE
   echo "AUTORELEASE=$FORM_AUTORELEASE" >> $CONFFILE
   /etc/rc.d/pkgs/./rc.zeasycaptive >/dev/null 2>/dev/null
   if [ ! -z "$FORM_LOGIN_ADMIN" -a ! -z "$LOGTEMP" ]; then
      echo "$FORM_LOGIN_ADMIN":"$VARLOGINPASS" > /usr/local/easycaptive/admin/cgi-bin/.htpasswd
      chmod 644 /usr/local/easycaptive/admin/cgi-bin/.htpasswd
   fi
   touch /tmp/need.save
   fi
   . $CONFFILE
   EMAIL_PASSWORD="`grep '^password ' $MSMTPFILE | cut -f 2 -d' '`"
   else
   . $CONFFILE
   EMAIL_PASSWORD="`grep '^password ' $MSMTPFILE | cut -f 2 -d' '`"

   [ -z "$METODO" ] && METODO=0 
   [ -z "$EASY_PORT" ] && EASY_PORT=8282
   [ -z "$BRUTETIME" -o "$BRUTETIME" -gt 59 ] && BRUTETIME=30
   [ -z "$LOGIN" ] && LOGIN=""
   [ -z "$PASS" ] && PASS=""
fi

if [ "$METODO" = 0 ]; then
      ME_DISABLE="Checked"
   elif [ "$METODO" = 1 ]; then
      ME_PROVEDOR="Checked"
   else
      ME_DISABLE="Checked"
fi

##>>
#Extras - By daniel.uramg
if [ "$AUTO_MP" = 1 ]; then
   AVISO_EN="Checked"
else
   AVISO_DIS="Checked"
fi
if [ "$AMARRACAO" = 1 ]; then
   AMARRACAO_EN="Checked"
else
   AMARRACAO_DIS="Checked"
fi
if [ "$RESERVA" = 1 ]; then
   RESERVA_EN="Checked"
else
   RESERVA_DIS="Checked"
fi
if [ "$QOS" = 1 ]; then
   QOS_EN="Checked"
fi
if [ "$QOS_MODO" = SUBREDES ]; then
   QOS_SUBREDES="Checked"
fi
if [ "$QOS_MODO" = SIMPLES ]; then
   QOS_PADRAO="Checked"
fi
if [ "$PLANO" = 1 ]; then
   PLANO_EN="Checked"
else
   PLANO_DIS="Checked"
fi
if [ "$CADASTRO" = 1 ]; then
   CADASTRO_EN="Checked"
else
   CADASTRO_DIS="Checked"
fi
if [ "$AUTORELEASE" = 1 ]; then
   AUTORELEASE_EN="Checked"
else
   AUTORELEASE_DIS="Checked"
fi
##<<

##>>
#Numero de registro nos Logs - By Jordi Tejada 2009 (c)HITBIT
LOG1=`cat /partition/easycaptive/log/accesos.log | awk '{x+=1} END {print x}'`
LOG2=`cat /partition/easycaptive/log/locked.log | awk '{x+=1} END {print x}'`
LOG3=`cat /partition/easycaptive/log/bruteforce.log | awk '{x+=1} END {print x}'`
LOG4=`cat /partition/easycaptive/log/blacklist.log | awk '{x+=1} END {print x}'`

cl_header2 "Easy Captive $VERSION"

##>>
#Configurar Planos
[ "$FORM_action" = "PLANOS" -a -z "$FORM_exec" ] && func_planos && exit 0
[ "$FORM_action" = "PLANOS" -a "$FORM_exec" = "ADD" ] && func_planos && func_add_plano && exit 0
[ "$FORM_action" = "PLANOS" -a "$FORM_exec" = "EXCLUIR" ] && sed -i "/^$FORM_plano:/d" $PLANOSFILE && func_planos && exit 0
	if [ "$FORM_action" = "PLANOS" -a "$FORM_exec" = "EDITAR" ]; then
FORM_up_min=`grep $FORM_plano $PLANOSFILE | cut -f 2 -d:`
FORM_up_max=`grep $FORM_plano $PLANOSFILE | cut -f 3 -d:`
FORM_down_min=`grep $FORM_plano $PLANOSFILE | cut -f 4 -d:`
FORM_down_max=`grep $FORM_plano $PLANOSFILE | cut -f 5 -d:`
func_planos
func_add_plano "$FORM_plano" "$FORM_up_min" "$FORM_up_max" "$FORM_down_min" "$FORM_down_max"
exit 0
	fi
if [ "$FORM_ADD_PLANO" = "$ECacj" ]; then
[ ! -z `grep $FORM_NOME_PLANO $PLANOSFILE` ] && sed -i "/^$FORM_NOME_PLANO:/d" $PLANOSFILE
FORM_NOME_PLANO=`echo $FORM_NOME_PLANO | sed 's/[^a-zA-Z0-9]//g'`
echo "$FORM_NOME_PLANO":"$FORM_UP_MIN":"$FORM_UP_MAX":"$FORM_DOWN_MIN":"$FORM_DOWN_MAX" >> $PLANOSFILE
sort $PLANOSFILE >/tmp/planos ; mv /tmp/planos $PLANOSFILE
func_planos && exit 0
fi
##<<

##>>
cat << CLEOF
<form method="POST" action="easycaptive.cgi">

  <table border="0" width="600" class="maintable">
     <tr>
       <td width="100%" class="row7" id="normal" colspan="3">Easy Captive $VERSION</td>
     </tr>
      <tr>
       <td width="37%" class="row2" colspan="2">
	       <p align="right"><b><font size="1" title="$ECana">$ECaac: </font></b></td>
       <td width="63%" class="row1"><font size="1" face="Verdana">
	<input type="radio" value="0" $ME_DISABLE name="METODO"> $ECaam
	<input type="radio" value="1" $ME_PROVEDOR name="METODO"> $ECaaa
       </tr>

      <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECanb">$ECaan:</font></b></td>
       <td width="63%" class="row1">
       <input type="text" name="EASY_PORT" size="5" maxlength="5" value="$EASY_PORT"></td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1"  title="$ECanc">$ECaao:</font></b></td>
       <td width="63%" class="row1">
       <input type="text" name="BRUTE_FORCE" size="5" maxlength="2" value="$BRUTETIME"> <font size="1">&nbsp;$ECaap</font></td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECand">$ECaaza:</font></b></td>
       <td width="32%" class="row1">
       <input type="text" name="PRAZO" size="5" maxlength="2" value="$PRAZO"> 
       <font size="1">&nbsp;$ECaazb</font>

     </tr>
     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1"  title="$ECane">$ECafa:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="button" value=" $ECafb " class="boton" onclick="window.open('http://$LOCAL_IPADDR:$EASY_PORT')"> 
       </td>
     </tr>

CLEOF

#Se Arquivamento Automatico dos LOGs esta ativado...
	if [ ${#VERIF_LOG} != 0 ]; then
cat <<CLEOF
     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECanf">$Ecafj: </font></b></td>
       <td width="63%" class="row1"><font size="1" face="Verdana">
	<input type="radio" value="automatico" checked name="ARQUIVAMENTO">$Ecafk
       <input type="radio" value="manual" name="ARQUIVAMENTO">$Ecafl</font></td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1"  title="$ECang">$ECafc:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="button" value="$ECafd" class="boton" onclick="location.href='/cgi-bin/diags.cgi?COMMAND=cat /partition/easycaptive/log/accesos.log' "><font size="-2">($LOG1)</font> 
       </td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1"  title="$ECanh">$ECaff:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="button" value="$ECafd" class="boton" onclick="location.href='/cgi-bin/diags.cgi?COMMAND=cat /partition/easycaptive/log/locked.log' "><font size="-2">($LOG2)</font> 
       </td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1"  title="$ECani">$ECafg:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="button" value="$ECafd" class="boton" onclick="location.href='/cgi-bin/diags.cgi?COMMAND=cat /partition/easycaptive/log/bruteforce.log' "><font size="-2">($LOG3)</font> 
       </td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1"  title="$ECanj">$ECafh:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="button" value="$ECafd" class="boton" onclick="location.href='/cgi-bin/diags.cgi?COMMAND=cat /partition/easycaptive/log/blacklist.log' "><font size="-2">($LOG4)</font> 
       </td>
     </tr>
CLEOF

#Se Arquivamento Automatico dos LOGs esta desativado...
	else
cat <<CLEOF
     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1">$Ecafj: </font></b></td>
       <td width="63%" class="row1"><font size="1" face="Verdana">
	<input type="radio" value="automatico" name="ARQUIVAMENTO">$Ecafk
       <input type="radio" value="manual" checked name="ARQUIVAMENTO">$Ecafl</font></td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1">$ECafc:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="button" value="$ECafd" class="boton" onclick="location.href='/cgi-bin/diags.cgi?COMMAND=cat /partition/easycaptive/log/accesos.log' "> 
<input type="submit" class="boton" value="$ECafe" name="BORRAR">&nbsp;<font size="-2">($LOG1)</font>
       </td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1">$ECaff:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="button" value="$ECafd" class="boton" onclick="location.href='/cgi-bin/diags.cgi?COMMAND=cat /partition/easycaptive/log/locked.log' "> 
<input type="submit" class="boton" value="$ECafe" name="BORRAR2">&nbsp;<font size="-2">($LOG2)</font>
       </td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1">$ECafg:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="button" value="$ECafd" class="boton" onclick="location.href='/cgi-bin/diags.cgi?COMMAND=cat /partition/easycaptive/log/bruteforce.log' "> 
<input type="submit" class="boton" value="$ECafe" name="BORRAR3">&nbsp;<font size="-2">($LOG3)</font>
       </td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1">$ECafh:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="button" value="$ECafd" class="boton" onclick="location.href='/cgi-bin/diags.cgi?COMMAND=cat /partition/easycaptive/log/blacklist.log' "> 
<input type="submit" class="boton" value="$ECafe" name="BORRAR4">&nbsp;<font size="-2">($LOG4)</font>
       </td>
     </tr>
CLEOF
fi

cat << CLEOF
     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECank">$ECafi:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="button" value="$ECafi" class="boton" onclick="location.href='logecaptive.cgi' ">
       </td>
     </tr>
CLEOF

##>>
#Extras - By daniel.uramg
cat << CLEOF

     <tr>
       <td width="100%" class="row7" id="normal" colspan="3">Extras</td>
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECanl">$ECaazc:</font></b></td>
       <td width="32%" class="row1">
     	<input type="radio" name="AUTO_MP" value="1" $AVISO_EN >$ECaazd
	<input type="radio" name="AUTO_MP" value="0" $AVISO_DIS >$ECaaze
           <p align="right"><b><font size="1" title="$ECanm">$ECaeh 1:&nbsp;</font></b>
           <input type="text" name="AVISO_1" size="35" value="$AVISO_1">
           <p align="right"><b><font size="1" title="$ECann">$ECaeh 2:&nbsp;</font></b>
           <input type="text" name="AVISO_2" size="35" value="$AVISO_2">
           <p align="right"><b><font size="1" title="$ECano">$ECaeh 3:&nbsp;</font></b>
           <input type="text" name="AVISO_3" size="35" value="$AVISO_3">
     </tr>

     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECanp">Formsend:</font></b></td>
       <td width="32%" class="row1">
           <p align="right"><b><font size="1">Email:&nbsp;</font></b>
           <input type="text" name="EMAIL" size="23" value="$EMAIL">
           <p align="right"><b><font size="1">$ECach:&nbsp;</font></b>
           <input type="password" name="EMAIL_PASSWORD" value="$EMAIL_PASSWORD" size="23">
     </tr>
     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECanq">$ECamc:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="radio" value="0" name="CADASTRO" $CADASTRO_DIS >$ECadk<input type="radio" value="1" name="CADASTRO" $CADASTRO_EN >$ECadj
       </td>
     </tr>
     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECanr">$ECajj:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="radio" value="0" name="AMARRACAO" $AMARRACAO_DIS >$ECadk<input type="radio" value="1" name="AMARRACAO" $AMARRACAO_EN >$ECadj
       </td>
     </tr>
     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECans">$ECajk:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="radio" value="0" name="RESERVA" $RESERVA_DIS >$ECadk<input type="radio" value="1" name="RESERVA" $RESERVA_EN >$ECadj
       </td>
     </tr>
     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><font size="1" title="$ECant"><b>QoS</b></font><b><font size="1">:&nbsp;</font></b></td>
       <td width="63%" class="row1">
	<p align="left"><input type="checkbox" name="QOS" value="1" $QOS_EN >$ECadj<p align="right">
	<p align="left"><input type="radio" value="SUBREDES" name="QOS_MODO" $QOS_SUBREDES >$ECajl
	<p align="left"><input type="radio" value="SIMPLES" name="QOS_MODO" $QOS_PADRAO >$ECajm
       </td>
     </tr>
     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECanu">$ECalg:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="radio" value="0" name="PLANO" $PLANO_DIS >$ECadk<input type="radio" value="1" name="PLANO" $PLANO_EN >$ECadj (<a href="?action=PLANOS">$ECalh</a>)       </td>
     </tr>
     <tr>
       <td width="37%" class="row2" colspan="2">
       <p align="right"><b><font size="1" title="$ECanv">Auto Release:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="radio" value="0" name="AUTORELEASE" $AUTORELEASE_DIS >$ECadk<input type="radio" value="1" name="AUTORELEASE" $AUTORELEASE_EN >$ECadj </td>
     </tr>
CLEOF
##<<

cat << CLEOF
     <tr>
       <td width="50%" class="row7" id="normal" colspan="2">
       <p>$ECaar</td>
       <td width="50%" class="row7" id="normal">
       &nbsp</td>
     </tr>

         <tr>
           <td width="17%">
           <p align="right"><b><font size="1">$ECacb:&nbsp;</font></b></td>
           <td width="20%">
           <p align="left"><input type="text" name="LOGIN_ADMIN" size="20" value="$LOGIN"></td>
           <td width="63%"><p align="right"><a href="easycaptive.cgi?action=reload">$ECabv</a></p></td>
         </tr>

         <tr>
           <td width="17%">
           <p align="right"><b><font size="1">$ECach:&nbsp;</font></b></td>
           <td width="20%">
           <p align="left"><input type="password" name="LOGIN_PASS" size="20"></td>
           <td width="63%">&nbsp</td>
         </tr>

         <tr>
           <td width="17%">
           <p align="right"><b><font size="1">$ECaas:&nbsp;</font></b></td>
           <td width="20%">
           <p align="left"><input type="password" name="RLOGIN_PASS" size="20"></td>
           <td width="63%" align="right">
		<p align="right"><a href="easycaptive.cgi?action=update">$ECaia</a></p></td>
         </tr>
       </td>
     </tr>
      </table>
     </td>
     </tr>
  </table>
</center>
  <p align="center">
  <input type="submit" value="$ECabo" name="ENVIAR">
  <input type="reset" value="$ECabp" name="RESET"></p>
  </p>
</form>
CLEOF

##>>
#Atualizao Automatica - By daniel.uramg
if [ "$FORM_action" = "update" ]; then
	Versao=`wget http://www.brazilfw.com.br/users/daniel.uramg/2.3x/ec/.ver.ini -O -`
	if [ "$VERSION" != "$Versao" ]; then
		mkdir /tmp/config > /dev/null
		cp /usr/local/easycaptive/config/* /tmp/config/ > /dev/null
		mkdir /tmp/html > /dev/null
		cp /usr/local/easycaptive/web/html/* /tmp/html/ > /dev/null
		cd /tmp > /dev/null
		wget http://www.brazilfw.com.br/users/daniel.uramg/2.3x/ec/easycaptive.tgz > /dev/null
		tar -xvzf /tmp/easycaptive.tgz -C / > /dev/null
		cp /tmp/config/* /usr/local/easycaptive/config/ > /dev/null
		cp /tmp/html/* /usr/local/easycaptive/web/html/ > /dev/null
		/etc/rc.d/pkgs/./rc.zeasycaptive > /dev/null
cat << CLEOF
<body>
<tr><center><b><div id=alerta>$ECaib: $VERSION $ECaic: $Versao !</div></b></center></tr>
</body>
CLEOF
	else
cat << CLEOF
<body>
<tr><center><b><div id=alerta>$ECaid</div></b></center></tr>
</body>
CLEOF
	fi
fi
##<<

##>>
#Reload - By daniel.uramg
if [ "$FORM_action" = "reload" ]; then
	VAR_RELOAD=`/etc/rc.d/pkgs/./rc.zeasycaptive`
cat << CLEOF
<body>
<tr><center><b><div id=alerta>$VAR_RELOAD</div></b></center></tr>
</body>
CLEOF
fi
##<<

[ ! -e "/usr/local/easycaptive/admin/cgi-bin/.htpasswd" ] && echo "<br><center>$ECabr</center></br>"
[ ! -z "$CERROR" ] && echo "<br><center><div id=warning>$CERROR</div></center>"

cl_footer2
