#!/bin/sh
# Visualizador de archvos LOG de EasyCaptive
# Por Jordi Tejada 2009 (c)HITBIT

. /var/http/web-functions
. /etc/coyote/coyote.conf

if [ -n "$LANGUAGE_WEBADMIN" ]; then
  LC=`echo $LANGUAGE_WEBADMIN`
  [ -e "/usr/local/easycaptive/language/language.$LC" ] && . /usr/local/easycaptive/language/language.$LC || . /usr/local/easycaptive/language/language.ENU
else
 . /usr/local/easycaptive/language/language.ENU
fi

ACCION1="0"
CERROR=""
PATH_FILE="/partition/easycaptive/oldlog"

cl_header2 "Log's  EasyCaptive $VERSION"

if [ "$FORM_VER1" = "$ECafd" ]; then
   DIA="$FORM_D3-$FORM_D2-$FORM_D1"
   FILE1="$PATH_FILE/$DIA-accesos.log"
   if [ -e "$FILE1" ]; then
     ACCION1="1"
   else
     CERROR="******$ECaga******<br>$FILE1"
     ACCION1="0"
   fi
fi

if [ "$FORM_VER2" = "$ECafd" ]; then
   DIA="$FORM_D3-$FORM_D2-$FORM_D1"
   FILE1="$PATH_FILE/$DIA-locked.log"
   if [ -e "$FILE1" ]; then
     ACCION1="1"
   else
     CERROR="*****$ECaga*****<br>$FILE1"
     ACCION1="0"
   fi
fi

if [ "$FORM_VER3" = "$ECafd" ]; then
   DIA="$FORM_D3-$FORM_D2-$FORM_D1"
   FILE1="$PATH_FILE/$DIA-bruteforce.log"
   if [ -e "$FILE1" ]; then
     ACCION1="1"
   else
     CERROR="*****$ECaga*****<br>$FILE1"
     ACCION1="0"
   fi
fi

if [ "$FORM_VER4" = "$ECafd" ]; then
   DIA="$FORM_D3-$FORM_D2-$FORM_D1"
   FILE1="$PATH_FILE/$DIA-blacklist.log"
   if [ -e "$FILE1" ]; then
     ACCION1="1"
   else
     CERROR="*****$ECaga*****<br>$FILE1"
     ACCION1="0"
   fi
fi

if [ "$ACCION1" -eq 1 ]; then
echo "<center>$FILE1</center>"
echo "<form><table class=maintable><tr><td nowrap>"
echo "<center><pre>"
cat $FILE1
echo "</pre></center></td></tr></table>"
echo "&nbsp;<input type=\"button\" value=\"$ECack\" class=\"boton\" onclick=\"location.href='/cgi-bin/logecaptive.cgi'\"></center>"
echo "</form>"
fi

if [ "$FORM_USERLOG" = "$ECafd" ]; then
[ -e /tmp/eclog ] && rm /tmp/eclog
grep "($FORM_USERNAME)" /partition/easycaptive/oldlog/*.* | cut -c42- > /tmp/eclog
grep "($FORM_USERNAME)" /partition/easycaptive/log/*.* | sed '//s/\/\partition\/\easycaptive\/\log\///g' >> /tmp/eclog
echo "<center>$ECagf: $FORM_USERNAME</center>"
echo "<form><table class=maintable><tr><td nowrap>"
echo "<center><pre>"
cat /tmp/eclog
echo "</pre></center></td></tr></table>"
echo "&nbsp;<input type=\"button\" value=\"$ECack\" class=\"boton\" onclick=\"location.href='/cgi-bin/logecaptive.cgi'\"></center>"
echo "</form>"
fi

if [ "$ACCION1" -eq 0 -a "$FORM_USERLOG" != "$ECafd" ]; then
cat << CLEOF
<form method="POST" action="logecaptive.cgi">

  <table border="0" width="675" class="maintable">
     <tr>
       <td width="100%" class="row7" id="normal" colspan="2">Easy Captive $VERSION - $ECafi </td>
     </tr>
      <tr>
       <td width="37%" class="row2"><p align="right"><b><font size="1">$ECagb:&nbsp;</font></b></td>
       <td width="63%" class="row1">
       <font size="1" face="Verdana">&nbsp;
$ECagc:

       <select size="1" name="D1">
       <option>01</option><option>02</option><option>03</option><option>04</option><option>05</option><option>06</option><option>07</option>
       <option>08</option><option>09</option><option>10</option><option>11</option><option>12</option><option>13</option><option>14</option>
       <option>15</option><option>16</option><option>17</option><option>18</option><option>19</option><option>20</option><option>21</option>
       <option>22</option><option>23</option><option>24</option><option>25</option><option>26</option><option>27</option><option>28</option>
       <option>29</option><option>30</option><option>31</option>
       </select>&nbsp;&nbsp;
$ECagd:
       <select size="1" name="D2">
       <option>01</option><option>02</option><option>03</option><option>04</option><option>05</option><option>06</option>
       <option>07</option><option>08</option><option>09</option><option>10</option><option>11</option><option>12</option>
       </select>&nbsp;&nbsp;

$ECage:
       <select size="1" name="D3">
       <option>2010</option><option>2011</option><option>2012</option><option>2013</option><option>2014</option><option>2015</option>
       </select>&nbsp;&nbsp;       
	</font></td>
     </tr>
     <tr>
       <td width="37%" class="row2">
       <p align="right"><b><font size="1">$ECafc:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="submit" value="$ECafd" name="VER1" class="boton">
       </td>
     </tr>
     <tr>
       <td width="37%" class="row2">
       <p align="right"><b><font size="1">$ECaff:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="submit" value="$ECafd" name="VER2" class="boton"> 
       </td>
     </tr>
     <tr>
       <td width="37%" class="row2">
       <p align="right"><b><font size="1">$ECafg:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="submit" value="$ECafd" name="VER3" class="boton"> 
       </td>
     </tr>
     <tr>
       <td width="37%" class="row2">
       <p align="right"><b><font size="1">$ECafh:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<input type="submit" value="$ECafd" name="VER4" class="boton">
       </td>
     </tr>
     <tr>
       <td width="37%" class="row2">
       <p align="right"><b><font size="1">$ECagf:&nbsp;</font></b></td>
       <td width="63%" class="row1">&nbsp;<select name="USERNAME" size="1">
CLEOF
username=`cat /usr/local/easycaptive/config/passwd | grep -v :3:0: | cut -f 1 -d:`
for USER_NAME in $(echo "$username");do
cat << CLEOF
<option>$USER_NAME</option>
CLEOF
done
cat << CLEOF
</select>&nbsp;<input type="submit" value="$ECafd" name="USERLOG" class="boton">
       </td>
     </tr>
  </table>
</center>
</form>
CLEOF
fi

[ ! -z "$CERROR" ] && echo "<br><center><div id=warning>$CERROR</div></center>"

cl_footer2
