#!/bin/sh
# Autor: Washington Rodrigues (Woshman) 2007
# Administrador do easycaptive 2.0

. /usr/local/easycaptive/var/web-functions
. /etc/coyote/coyote.conf
. /usr/local/easycaptive/bin/automation

PASSWDFILE="/usr/local/easycaptive/config/passwd"
FILEFUNC="/usr/local/easycaptive/bin/./easycaptive"
UNESCAPE="/usr/local/easycaptive/var/./unescape.sed"
CUTTER="/usr/local/easycaptive/bin/./cutter"
BC="/usr/local/easycaptive/bin/./bc"
SUSPENDFILE="/usr/local/easycaptive/config/suspend.file"

D1=`date +%d/%m/%Y`
H1=`date +%H:%M`
DIAHOY="$D1 - $H1"
ACLOG="/partition/easycaptive/log/accesos.log"
IPSECTEMP="/tmp/ipsectemp"
ARPTEMP="/tmp/arptemp"

##>>
MP_FILE="/usr/local/easycaptive/config/MP"
VERIF=`cat $MP_FILE | cut -f 1 -d: | grep $FORM_IP$`
MPS=`cat $MP_FILE`
HPfile="/usr/local/easycaptive/config/HPfile"
##<<

IFS=:
func_type() {
[ "${1}" = 0 ] && echo "$ECacc"
[ "${1}" = 1 ] && echo "$ECacd"
[ "${1}" = 2 ] && echo "$ECaag"
[ "${1}" = 3 ] && echo "$ECaah"
[ "${1}" = 4 ] && echo "$ECabt"
}

func_permission() {
[ "${1}" = 0 ] && echo "$ECace"
[ "${1}" = 1 ] && echo "$ECacf"
[ "${1}" = 2 ] && echo "$ECacg"
[ "${1}" = 5 ] && echo "$ECamd"
[ "${1}" = 6 ] && echo "$ECamd"
}

func_situacao(){
[ "${1}" = A ] && echo "<a href=\"?action=marcarpago&user=$TMP_USER_NAME\"><font color=$USER_SITUACAO_COLOR>$ECacp</a>"
[ "${1}" = P ] && echo "<font color=$USER_SITUACAO_COLOR>$ECacq"
}

func_return_pre() {
FILEIP=`echo "${1}" | sed s/[.]//g`
PRE_CONTRATADO=`cat /partition/easycaptive/pre/"$FILEIP".HC`
PRE_BUFFER=`cat /partition/easycaptive/pre/"$FILEIP".HR`
PRE_INT=`echo "$PRE_BUFFER/60" | $BC`
PRE_RES=`echo "$PRE_BUFFER%60" | $BC`
if [ "$PRE_RES" -gt 0 ]; then
   [ ${#PRE_RES} = 1 ] && PRE_RES="0$PRE_RES"
   echo "$PRE_CONTRATADO@$PRE_INT:$PRE_RES"
   else
   echo "$PRE_CONTRATADO@$PRE_INT"
fi
}

func_authenticate() {
[ -z "${1}" -o "${1}" = 0 ] && TMP_TIT="$ECabm" || TMP_TIT="$ECabj"
if [ -z "${1}" -o "${1}" = 0 ]; then
   TMP_ACTION1="authadduser"
   TMP_ACTION2="AUTHSAVE"
else
   TMP_ACTION1="authedituser"
   TMP_ACTION2="AUTHEDIT"
fi

if [ "${1}" = 1 ]; then
   TMP_EDIT="READONLY"
   TMP_SELE="DISABLED"
fi
if [ "${8}" = 0 ]; then
   TMP_LIB="selected"
elif [ "${8}" = 1 ]; then
   TMP_PRE="selected"
else
   TMP_BLO="selected"
fi

if [ "${10}" = P ]; then
   TMP_PAGO="selected"
elif [ "${10}" = A ]; then
   TMP_ABERTO="selected"
fi

if [ ! -z "${2}" ]; then
   [ "${2}" = 0 ] && VTMP="selected" || NTMP="selected"
else
   VTMP="selected"
fi
   [ "$VTMP" = "selected" ] && VVAL=0 || VVAL=1
cat << CLEOF
<form method="POST" action="?action=$TMP_ACTION1">
<div align="center">
  <center>
<table width="326" border="0" cellspacing="0" cellpadding="2" style="border-collapse: collapse" bordercolor="#111111">
  <tr>
    <td class="maintable" width="327">
    <table width="327" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="2" class="row7" id="normal" width="321">Easy Captive  - $TMP_TIT $ECacb</td>
        </tr>
      <tr>
        <td width="91" class="row2 style2" align="right">$ECaca:</td>
        <td width="225" class="row3">
        <p>
        <select size="1" name="USR_TIPO" style="font-family: Verdana; font-size: 8 pt" $TMP_SELE>
        <option $VTMP value="0">$ECacc</option>
        <option $NTMP value="1">$ECacd</option>
        </select></td>
CLEOF
   [ ! -z "${1}" -a "${1}" != 0 ] && echo "      <input type=\"hidden\" name=\"USR_TIPO\" value=\"$VVAL\">"
echo "     </tr>"
if [ ! -z "${1}" -a "${1}" != 0 ]; then
cat << CLEOF
      <tr>
        <td class="row2 style2" width="91" align="right">$ECaci:</td>
        <td class="row3" width="225">
        <p>
        <select size="1" name="USR_PERM" style="font-family: Verdana; font-size: 8 pt">
        <option value="0" $TMP_LIB>$ECace</option>
        <option value="1" $TMP_PRE>$ECacf</option>
        <option value="2" $TMP_BLO>$ECacg</option>
        </select></td>
      </tr>
CLEOF
cat << CLEOF
      <tr>
        <td class="row2 style2" width="91" align="right">$ECacr:</td>
        <td class="row3" width="225">
        <p>
        <select size="1" name="USR_SITUACAO" style="font-family: Verdana; font-size: 8 pt">
        <option value="P" $TMP_PAGO>$ECacq</option>
        <option value="A" $TMP_ABERTO>$ECacp</option>
        </select></td>
      </tr>
CLEOF
fi
cat << CLEOF
      <tr>
        <td class="row2 style2" width="91" align="right">$ECacb:</td>
        <td class="row3" width="225">
        <input name="USR_NAME" $TMP_EDIT value="${3}" size="32" maxlength="30" style="font-family: ve; font-size: 8 pt"></td>
      </tr>
CLEOF
if [ ! -z "${1}" -a "${1}" != 0 -a "${2}" = 0 ]; then
cat << CLEOF
      <tr>
        <td class="row2 style2" width="91" align="right">$ECach:</td>
        <td class="row3" width="225">
        <input name="USR_PASS" size="32" maxlength="30" style="font-family: ve; font-size: 8 pt" type="password"></td>
      </tr>
CLEOF
fi
cat << CLEOF
      <tr>
        <td class="row2 style2" width="91" align="right">IP:</td>
        <td class="row3" width="225">
  <input type="text" name="IP1" value="${4}" size="3" maxlength="3" style="font-family: ve; font-size: 8 pt"><font size="1">.</font><input type="text" name="IP2" value="${5}" size="3" maxlength="3" style="font-family: ve; font-size: 8 pt"><font size="1">.</font><input type="text" name="IP3" value="${6}" size="3" maxlength="3" style="font-family: ve; font-size: 8 pt"><font size="1">.</font><input type="text" name="IP4" value="${7}" size="3" maxlength="3" style="font-family: ve; font-size: 8 pt"></td>
      </tr>

CLEOF
cat << CLEOF
<tr>
        <td class="row2 style2" width="91" align="right">$ECacs:</td>
        <td class="row3" width="225">
        <input type="text" name="USR_DATA" value="${9}" size="2" maxlength="2" style="font-family: ve; font-size: 8 pt"></td>
      </tr>          
CLEOF

variaveis_automation; formularios_automation

cat << CLEOF
	</table></td>
	</tr>
	</table></td>
	</tr>
	</table>
	</center>
	</div>
	<p align="center">
	<input type="submit" value="$ECacj" name="$TMP_ACTION2"></p>
	</p>
	</form>
<p align="center">$CERROR<br>
[<a href="?action=auth">$ECack</a>]</p>
CLEOF
}

func_prepago() {
[ -z "${1}" -o "${1}" = 0 ] && TMP_TIT="$ECabm" || TMP_TIT="$ECabj"
if [ -z "${1}" -o "${1}" = 0 ]; then
   TMP_ACTION1="preadduser"
   TMP_ACTION2="PRESAVE"
else
   TMP_ACTION1="preedituser"
   TMP_ACTION2="PREEDIT"
fi

if [ "${1}" = 1 ]; then
   TMP_EDIT="READONLY"
fi

cat << CLEOF
<form method="POST" action="?action=$TMP_ACTION1">
<div align="center">
  <center>
<table width="326" border="0" cellspacing="0" cellpadding="2" style="border-collapse: collapse" bordercolor="#111111">
  <tr>
    <td class="maintable" width="327">
    <table width="327" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="2" class="row7" id="normal" width="321">Easy Captive - $TMP_TIT $ECacb $ECaag</td>
        </tr>
      <tr>
        <td class="row2 style2" width="91" align="right">$ECacb:</td>
        <td class="row3" width="225">
        <p>
        <input name="USR_NAME" value="${2}" $TMP_EDIT size="32" maxlength="30" style="font-family: ve; font-size: 8 pt"></td>
      </tr>
CLEOF

if [ ! -z "${1}" -a "${1}" != 0 ]; then
cat << CLEOF
      <tr>
        <td class="row2 style2" width="91" align="right">$ECach:</td>
        <td class="row3" width="225">
        <input name="USR_PASS" value="" size="32" maxlength="30" style="font-family: ve; font-size: 8 pt" type="password"></td>
      </tr>
CLEOF
fi

cat << CLEOF
      <tr>
        <td class="row2 style2" width="91" align="right">$ECacl: </td>
        <td class="row3" width="225">
        <input name="USR_HOUR" value="${3}" size="3" maxlength="3" style="font-family: ve; font-size: 8 pt; float:left"></td>
      </tr>

      <tr>
        <td class="row2 style2" width="91" align="right">IP:</td>
        <td class="row3" width="225">
  <input type="text" name="IP1" value="${4}" $TMP_EDIT size="3" maxlength="3" style="font-family: ve; font-size: 8 pt"><font size="1">.</font><input type="text" name="IP2" value="${5}" $TMP_EDIT size="3" maxlength="3" style="font-family: ve; font-size: 8 pt"><font size="1">.</font><input type="text" name="IP3" value="${6}" $TMP_EDIT size="3" maxlength="3" style="font-family: ve; font-size: 8 pt"><font size="1">.</font><input type="text" name="IP4" value="${7}" $TMP_EDIT size="3" maxlength="3" style="font-family: ve; font-size: 8 pt"></td>
      </tr>
CLEOF

variaveis_automation; formularios_automation

cat << CLEOF
    </table></td>
  </tr>
</table>
  </center>
</div>
  <p align="center">$CERROR</p>
  <p align="center"><input type="submit" value="$ECacj" name="$TMP_ACTION2"></p>
</form>
<p align="center">[<a href="?action=pre">$ECack</a>]</p>
CLEOF
}

func_whitelist() {   
[ -z "${1}" -o "${1}" = 0 ] && WHI_TIT="$ECabm" || WHI_TIT="$ECabj"
[ "${7}" = 1 ] && READONLY="READONLY"
[ -z "${8}" ] && TMP_TYPE="SALVARWHITELIST" || TMP_TYPE="EDITWHITELIST"
[ -z "${8}" ] && TMP_TYPE1="whiteadduser" || TMP_TYPE1="editwhitelist"

cat << CLEOF

<form method="POST" action="?action=$TMP_TYPE1">
<table width="50%" border="0" align="center" cellpadding="2" cellspacing="1">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellpadding="2" cellspacing="1">
      <tr>
        <td colspan="2" class="row7" id="normal">Easy Captive - $ECaah $WHI_TIT $ECacb</td>
        </tr>
      <tr>
        <td width="35%" class="row2"><div align="right"><span class="style3">$ECacb: </span></div></td>
        <td width="65%" class="row3">
        <input name="USER_NAME" $READONLY value="${2}" size="27" maxlength="30" style="font-family: Verdana; font-size: 8 pt; " /></td>
        
      </tr>
      <tr>
        <td class="row2"><div align="right"><span class="style3">IP: </span></div></td>
        <td class="row3">
              <input name="IP1" type="text" value="${3}" size="3" maxlength="3" style="font-family: Verdana; font-size: 8 pt" />
              <font size="1">. </font>
            <input name="IP2" type="text" value="${4}" size="3" maxlength="3" style="font-family: Verdana; font-size: 8 pt" />
              <font size="1">. </font>
            <input name="IP3" type="text"  value="${5}" size="3" maxlength="3" style="font-family: Verdana; font-size: 8 pt" />
              <font size="1">.</font>
            <input name="IP4" type="text" value="${6}" size="3" maxlength="3" style="font-family: Verdana; font-size: 8 pt" /></div></td>
      </tr>
CLEOF

variaveis_automation; formularios_automation

cat << CLEOF
	</table></td>
	</tr>
	</table>
<p align="center">
<input type="submit" value="$ECacj" name="$TMP_TYPE"></p>
	</p>
	</form>
<p align="center">$CERROR</p>
<p align="center">[<a href="?action=white">$ECack</a>]</p>
CLEOF
}

ec_header

if [ "$FORM_action" = "backup" ]; then
   echo "<table class=maintable border=0 width=\"100%\"><tr><th>Backup Easy Captive</th></tr><tr><td><pre>"
   echo "<font size=\"1\" style=\"font-family: verdana\"><b><center>"
   /usr/sbin/lrcfg.back easycaptive
   rm -f /tmp/easycaptive.needsave
   echo "</b></center></font></pre></td></tr></table>"   
fi
if [ "$FORM_action" = "auth" ] && [ "$METODO" = 1 ]; then
   TMP_FORM_USR=`echo $FORM_user | $UNESCAPE | sed "s/ /_/g"`
   TMP_FORM_IP=`grep ^"$TMP_FORM_USR": $PASSWDFILE | cut -f3 -d:`
   [ "$FORM_exec" = "erase" -a ! -z "$TMP_FORM_USR" ] && $FILEFUNC DEL "$TMP_FORM_USR" && remove_automation && 	echo "$DIAHOY ($TMP_FORM_USR) - $ECald!" >> $ACLOG
   [ "$FORM_exec" = "disconnect" -a ! -z "$FORM_ip" ] && $FILEFUNC DROP "$FORM_ip"
cat << CLEOF
<table width="100%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="6" valign="middle" class="row7" id="normal">Easy Captive - $ECaaf </td>
      </tr>
	<table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr class="row7">
        <td width="20%" class="row3"><div align="center"><span class="style6">$ECaba</span></div></td>
        <td width="10%" class="row3"><div align="center"><span class="style6">$ECabb</span></div></td>
        <td width="13%" class="row3"><div align="center"><span class="style6">$ECabc</span></div></td>
        <td width="11%" class="row3"><div align="center"><span class="style6">$ECabd</span></div></td>
        <td width="9%" class="row3"><div align="center"><span class="style6">$ECabe</span></div></td>
        <td width="24%" class="row3"><div align="center"><span class="style6">$ECabf</span></div></td>
        <td width="5%" class="row3"><div align="center"><span class="style6">$ECacz</span></div></td>
        <td width="8%" class="row3"><div align="center"><span class="style6">$ECacy</span></div></td>
     </tr>
CLEOF

while read USER_NAME USER_PASS USER_IP USER_TYPE USER_PERMISSION USER_DATA USER_SITUACAO; do
if [ ! -z "$USER_NAME" ]; then
   TMP_USER_NAME=`echo $USER_NAME | sed "s/_/ /g"`
[ "$CADASTRO" = 1 ] && NAME="<a href=\"?action=ver&user=$TMP_USER_NAME\">$TMP_USER_NAME</a>" || NAME="$TMP_USER_NAME"
  if [ "$USER_TYPE" = 0 -o "$USER_TYPE" = 1 ]; then
   ISALIVE=`echo $("$FILEFUNC" ISAL "$USER_IP")`
  if [ "$ISALIVE" = 1 -o "$ISALIVE" = 2 ]; then
     USER_PING_STAT="UP"
     [ "$($FILEFUNC ISBF $USER_IP)" = 0 ] && USER_PING_COLOR="#008000" || USER_PING_COLOR="#DD6900"
#     [ "$ISALIVE" = 2 ] && USER_DESC="[<a href=\"?action=auth&exec=disconnect&ip=$USER_IP\">$ECabl</a>]" || USER_DESC=""
[ `grep "^$USER_IP$" /tmp/ecup` ] && USER_DESC="[<a href=\"?action=auth&exec=disconnect&ip=$USER_IP\">$ECabl</a>]" || USER_DESC=""

     count_up="$(($count_up+1))"
  else
     count_down="$(($count_down+1))"
     USER_PING_STAT="DOWN"
     USER_PING_COLOR="#CC0000"
     USER_DESC=""
  fi
if [ "$USER_SITUACAO" = A ]; then
     USER_SITUACAO_COLOR="#CC0000"
clien_ab=$(($clien_ab+1))
else
     USER_SITUACAO_COLOR="#008000"
clien_pg=$(($clien_pg+1))
fi

if [ "$USER_PERMISSION" = 0 ]; then
   USER_PERMISSION_COLOR="#008000"
elif [ "$USER_PERMISSION" = 1 ]; then
   USER_PERMISSION_COLOR="#FF6600"
else
   USER_PERMISSION_COLOR="#FF0000"
fi
[ "$cor" = 0 ] && { var="row2"; cor=1; } || { var="row1"; cor=0; }
cat << CLEOF        
        <tr>
        <td class="$var style7"><div align="center">$NAME</div></td>
        <td class="$var style7"><div align="center">$USER_IP</div></td>
        <td class="$var style7"><div align="center">$(func_type $USER_TYPE)</div></td>
        <td class="$var style7"><font color="$USER_PERMISSION_COLOR"><div align="center">$(func_permission $USER_PERMISSION) </div></td>
        <td class="$var "><font color="$USER_PING_COLOR"><div align="center"><b>$USER_PING_STAT</b></div></td>
        <td class="$var style7"> <div align="center">[<a href="?action=authedituser&user=$TMP_USER_NAME">$ECabj</a>] [<a href="?action=auth&exec=erase&user=$TMP_USER_NAME" onClick="javascript:if (confirm('$ECaazf $TMP_USER_NAME?'))return true; else return false;">$ECabk</a>] $USER_DESC </div></td>
        <td class="$var style7"><div align="center">$USER_DATA</div></td>
        <td class="$var "><div align="center"><b>$(func_situacao $USER_SITUACAO)</b></div></td>
        </tr>
CLEOF
   fi
fi
done < $PASSWDFILE
[ -z "$count_up" ] && count_up="0"
[ -z "$count_down" ] && count_down="0"
cat << CLEOF
    </table></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td width="100%" class="row1 style7"><div align="right">[<a href="?action=authadduser">$ECabg</a>]</div></td>
      </tr>
</table>
<table width="100%" border="0" cellspacing="1" cellpadding="2">
        <tr>
        <td width="50%" class="row2" style7"><div align="right"></div></td>
        <td width="20%" class="row2"><font color="#0000ff"><div align="right"><b>$ECact[$(($count_up+$count_down))]</b></div></td>
        <td width="15%" class="row2"><font color="#008000"><div align="right">$ECacu[$count_up]</div></td>
        <td width="15%" class="row2"><font color="#CC0000"><div align="right">$ECacv[$count_down]</div></td>        
        </tr>
</table>
<table width="100%" border="0" cellspacing="1" cellpadding="2">
        <tr>
        <td width="70%" class="row2" style7"><div align="right"></div></td>
        <td width="15%" class="row2"><font color="#008000"><div align="right">$ECacw[$clien_pg]</div></td>
        <td width="15%" class="row2"><font color="#CC0000"><div align="right">$ECacx[$clien_ab]</div></td>        
        </tr>

	</table>    
	</td>
	</tr>
	</table>
CLEOF
fi

if [ "$FORM_action" = "pre" ] && [ "$METODO" = 1 ]; then
   TMP_FORM_user=`echo "$FORM_user" | $UNESCAPE | sed "s/ /_/g"`
   TMP_FORM_USR="$TMP_FORM_user"
   TMP_FORM_ip=`grep ^"$TMP_FORM_user": $PASSWDFILE | cut -f3 -d:`
   TMP_FORM_IP="$TMP_FORM_ip"
   [ "$FORM_exec" = "disconnect" -a ! -z "$FORM_ip" ] && $FILEFUNC DROP "$FORM_ip"
   if [ "$FORM_exec" = "erase" -a ! -z "$FORM_user" ]; then
      TMPPREIP=`grep "$TMP_FORM_user": $PASSWDFILE | cut -f 3 -d :`
      $FILEFUNC DEL "$TMP_FORM_user"
      $FILEFUNC DELPREFILE "$TMPPREIP"
remove_automation
	echo "$DIAHOY ($TMP_FORM_user) - $ECald!" >> $ACLOG
fi
   
cat << CLEOF
<table width="100%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="6" valign="middle" class="row7" id="normal">Easy Captive - $ECaag</td>
      </tr>
      <tr class="row7">
        <td width="18%" class="row3"><div align="center"><span class="style6">$ECaba</span></div></td>
        <td width="16%" class="row3"><div align="center"><span class="style6">$ECabb</span></div></td>
        <td width="13%" class="row3"><div align="center"><span class="style6">$ECabh</span></div></td>
        <td width="13%" class="row3"><div align="center"><span class="style6">$ECabi</span></div></td>
        <td width="9%" class="row3"><div align="center"><span class="style6">$ECabe</span></div></td>
        <td width="31%" class="row3"><div align="center"><span class="style6">$ECabf</span></div></td>
     </tr>
CLEOF

while read USER_NAME USER_PASS USER_IP USER_TYPE USER_PERMISSION; do
if [ ! -z "$USER_NAME" ]; then
   USER_NAME=`echo "$USER_NAME" | sed "s/_/ /g"`
  if [ "$USER_TYPE" = 2 ]; then
  ISALIVE=`echo $("$FILEFUNC" ISAL "$USER_IP")`
  if [ "$ISALIVE" = 1 -o "$ISALIVE" = 2 ]; then
     USER_PING_STAT="UP"
     USER_PING_COLOR="#008000"
     [ "$ISALIVE" = 2 ] && USER_DESC="[<a href=\"?action=pre&exec=disconnect&ip=$USER_IP\">$ECabl</a>]" || USER_DESC=""
     count_up="$(($count_up+1))"
  else
     count_down="$(($count_down+1))"
     USER_DESC=""
     USER_PING_STAT="DOWN"
     USER_PING_COLOR="#CC0000"
  fi
  TMP_CONT=`echo $(func_return_pre $USER_IP) | cut -f 1 -d @`
  TMP_REST=`echo $(func_return_pre $USER_IP) | cut -f 2 -d @ | sed "s/ /:/g"`
[ "$cor" = 0 ] && { var="row2"; cor=1; } || { var="row1"; cor=0; }
cat << CLEOF        
        <tr>
        <td class="$var style7"><div align="center">$USER_NAME</div></td>
        <td class="$var style7"><div align="center">$USER_IP</div></td>
        <td class="$var style7"><div align="center">$TMP_CONT h</div></td>
        <td class="$var style7"><div align="center">$TMP_REST h</div></td>
        <td class="$var"><font color="$USER_PING_COLOR"><div align="center"><b>$USER_PING_STAT</b></div></td>
        <td class="row3 style7"> <div align="center">[<a href="?action=preedituser&user=$USER_NAME">$ECabj</a>] [<a href="?action=pre&exec=erase&user=$USER_NAME" onClick="javascript:if (confirm('$ECaazf $USER_NAME?'))return true; else return false;">$ECabk</a>] $USER_DESC </div></td>
        </tr>
CLEOF

   fi
fi
done < $PASSWDFILE
[ -z "$count_up" ] && count_up="0"
[ -z "$count_down" ] && count_down="0"
cat << CLEOF

    </table></td>
  </tr>
</table>
<table width="100%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td width="100%" class="row1 style7"><div align="right">[<a href="?action=preadduser">$ECabg</a>]</div></td>
      </tr>
<table width="100%" border="0" cellspacing="1" cellpadding="2">
        <tr>
        <td width="50%" class="row2" style7"><div align="right"></div></td>
        <td width="20%" class="row2"><font color="#0000ff"><div align="right"><b>$ECact[$(($count_up+$count_down))]</b></div></td>
        <td width="15%" class="row2"><font color="#008000"><div align="right">$ECacu[$count_up]</div></td>
        <td width="15%" class="row2"><font color="#CC0000"><div align="right">$ECacv[$count_down]</div></td>        
        </tr>
</table>
    </table></td>
  </tr>
</table>
CLEOF
fi

if [ "$FORM_action" = "white" ]; then
   TMP_FORM_USR=`echo $FORM_user | $UNESCAPE | sed "s/ /_/g"`
   if [ "$FORM_exec" = "erase" -a ! -z "$FORM_user" ]; then
      TMP_FORM_IP=`grep ^"$TMP_FORM_USR": $PASSWDFILE | cut -f3 -d:`
      $FILEFUNC DEL "$TMP_FORM_USR"
      $CUTTER $TMP_FORM_IP 1>/dev/null 2>/dev/null
remove_automation
	echo "$DIAHOY ($TMP_FORM_USR) - $ECald!" >> $ACLOG
fi

cat << CLEOF
<div align="center">
<table width="60%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="6" valign="middle" class="row7" id="normal">Easy Captive - $ECaah</td>
      </tr>
      <tr class="row7">
        <td width="18%" class="row3"><div align="center"><span class="style6">$ECaba</span></div></td>
        <td width="16%" class="row3"><div align="center"><span class="style6">$ECabb</span></div></td>
        <td width="9%" class="row3"><div align="center"><span class="style6">$ECabe</span></div></td>
        <td width="31%" class="row3"><div align="center"><span class="style6">$ECabf</span></div></td>
     </tr>
CLEOF

while read USER_NAME USER_PASS USER_IP USER_TYPE USER_PERMISSION; do
if [ ! -z "$USER_NAME" ]; then
   TMP_USER_NAME=`echo $USER_NAME | sed "s/_/ /g"`
[ "$CADASTRO" = 1 ] && NAME="<a href=\"?action=ver&user=$TMP_USER_NAME\">$TMP_USER_NAME</a>" || NAME="$TMP_USER_NAME"
  if [ "$USER_TYPE" = 3 ]; then
  ISALIVE=`echo $("$FILEFUNC" ISAL "$USER_IP")`
  if [ "$ISALIVE" = 1 -o "$ISALIVE" = 2 ]; then
     USER_PING_STAT="UP"
     USER_PING_COLOR="#008000"
     count_up="$(($count_up+1))"
  else
     count_down="$(($count_down+1))"
     USER_PING_STAT="DOWN"
     USER_PING_COLOR="#CC0000"
  fi
[ "$cor" = 0 ] && { var="row2"; cor=1; } || { var="row1"; cor=0; }
cat << CLEOF        
        <tr>
        <td class="$var style7"><div align="center">$NAME</div></td>
        <td class="$var style7"><div align="center">$USER_IP</div></td>
        <td class="$var"><font color="$USER_PING_COLOR"><div align="center"><b>$USER_PING_STAT</b></div></td>
        <td class="row3 style7"> <div align="center">[<a href="?action=whiteedituser&user=$TMP_USER_NAME">$ECabj</a>] [<a href="?action=white&exec=erase&user=$TMP_USER_NAME" onClick="javascript:if (confirm('$ECaazf $TMP_USER_NAME?'))return true; else return false;">$ECabk</a>]</div></td>
        </tr>
CLEOF

   fi
fi
done < $PASSWDFILE
[ -z "$count_up" ] && count_up="0"
[ -z "$count_down" ] && count_down="0"
cat << CLEOF

    </table></td>
  </tr>
</table>
<table width="60%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td width="100%" class="row1 style7"><div align="right">[<a href="?action=whiteadduser">$ECabg</a>]</div></td>
      </tr>
<table width="100%" border="0" cellspacing="1" cellpadding="2">
        <tr>
        <td width="27%" class="row2" style7"><div align="right"></div></td>
        <td width="33%" class="row2"><font color="#0000ff"><div align="right"><b>$ECact[$(($count_up+$count_down))]</b></div></td>
        <td width="20%" class="row2"><font color="#008000"><div align="right">$ECacu[$count_up]</div></td>
        <td width="20%" class="row2"><font color="#CC0000"><div align="right">$ECacv[$count_down]</div></td>        
        </tr>
</table>
    </table></td>
  </tr>
</table>
</div>
CLEOF
fi

if [ "$FORM_action" = "brute" ] && [ "$METODO" = 1 ]; then
   [ "$FORM_exec" = "renew" -a ! -z "$FORM_ip" ] && $FILEFUNC BF "$FORM_ip"
   [ "$FORM_exec" = "rembfall" ] && $FILEFUNC RMALLBF
cat << CLEOF
<div align="center">
<table width="50%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="6" valign="middle" class="row7" id="normal">Easy Captive - $ECaai</td>
      </tr>
      <tr class="row7">
        <td width="18%" class="row3"><div align="center"><span class="style6">$ECaba</span></div></td>
        <td width="16%" class="row3"><div align="center"><span class="style6">$ECabb</span></div></td>
        <td width="31%" class="row3"><div align="center"><span class="style6">$ECabf</span></div></td>
     </tr>
CLEOF

$FILEFUNC LIST | while read USER_NAME USER_IP; do
cat << CLEOF        
        <tr>
        <td class="row2 style7"><div align="center">$USER_NAME</div></td>
        <td class="row2 style7"><div align="center">$USER_IP</div></td>
        <td class="row3 style7"> <div align="center">[<a href="?action=brute&exec=renew&ip=$USER_IP">$ECabn</a>]</div></td>
        </tr>
CLEOF
done 

cat << CLEOF
    </table></td>
  </tr>
</div>
        <td class="row3 style7"> <div align="right">[<a href="?action=brute&exec=rembfall">$ECabu</a>]</div></td>
</table>
CLEOF
fi

##>>
#VISITANTES - By daniel.uramg
if [ "$FORM_action" = "guest" ]; then
cat << CLEOF
<div align="center">
<table width="80%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="6" valign="middle" class="row7" id="normal">Easy Captive - $ECaak</td>
      </tr>
      <tr class="row7">
        <td width="18%" class="row3"><div align="center"><span class="style6"><b>Hostname</b></span></div></td>
        <td width="18%" class="row3"><div align="center"><span class="style6"><b>$ECabb</b></span></div></td>
        <td width="18%" class="row3"><div align="center"><span class="style6"><b>MAC</b></span></div></td>
        <td width="46%" class="row3"><div align="center"><span class="style6"><b>$ECabg</b></span></div></td>
     </tr>
CLEOF
cat $PASSWDFILE | cut -f 3 -d: > $IPSECTEMP
cat /proc/net/arp | grep -v IP | grep $IF_LOCAL | cut -f 1 -d" " | while read USER_IP; do
if [ ! `grep $USER_IP $IPSECTEMP` ];  then
USER_NAME=`cat /var/state/dhcp/dhcpd.leases | grep "$USER_IP " | tr -s ' ' | cut -d " " -f 4`
USER_MAC=`grep "$USER_IP " /proc/net/arp | tr -s ' ' | cut -d " " -f 4`
[ "$cor" = 0 ] && { var="row2"; cor=1; } || { var="row1"; cor=0; }
cat << CLEOF
        <tr>
        <td class="$var style7"><div align="center">$USER_NAME</div></td>
        <td class="$var style7"><div align="center">$USER_IP</div></td>
        <td class="$var style7"><div align="center">$USER_MAC</div></td>
        <td class="$var style7"><div align="center">
[<a href="?action=ADDGUEST&exec=AUTH&user_guest=$USER_NAME&ip_guest=$USER_IP&mac_guest=$USER_MAC">$ECacc</a>] - 
[<a href="?action=ADDGUEST&exec=WHITE&&user_guest=$USER_NAME&ip_guest=$USER_IP&mac_guest=$USER_MAC">$ECaah</a>] - 
[<a href="?action=ADDGUEST&exec=PRE&user_guest=$USER_NAME&ip_guest=$USER_IP&mac_guest=$USER_MAC">$ECaag</a>]
</div></td>

        </tr>
CLEOF
fi
done
cat << CLEOF
	</table></td>
	</tr>
	</div>
	</table>
CLEOF
fi
	if [ "$FORM_action" = "ADDGUEST" -a "$FORM_exec" = "AUTH" ]; then
#[ "$SEQ" = "1" ] && USR_IP1=`
USR_IP1=`echo $FORM_ip_guest | cut -f 1 -d.`
USR_IP2=`echo $FORM_ip_guest | cut -f 2 -d.`
USR_IP3=`echo $FORM_ip_guest | cut -f 3 -d.`
USR_IP4=`echo $FORM_ip_guest | cut -f 4 -d.`
func_authenticate "0" "0" "$FORM_user_guest" "$USR_IP1" "$USR_IP2" "$USR_IP3" "$USR_IP4" || func_authenticate
	fi
	if [ "$FORM_action" = "ADDGUEST" -a "$FORM_exec" = "WHITE" ]; then
USR_IP1=`echo $FORM_ip_guest | cut -f 1 -d.`
USR_IP2=`echo $FORM_ip_guest | cut -f 2 -d.`
USR_IP3=`echo $FORM_ip_guest | cut -f 3 -d.`
USR_IP4=`echo $FORM_ip_guest | cut -f 4 -d.`
func_whitelist "0" "$FORM_user_guest" "$USR_IP1" "$USR_IP2" "$USR_IP3" "$USR_IP4" || func_whitelist
	fi
	if [ "$FORM_action" = "ADDGUEST" -a "$FORM_exec" = "PRE" ]; then
USR_IP1=`echo $FORM_ip_guest | cut -f 1 -d.`
USR_IP2=`echo $FORM_ip_guest | cut -f 2 -d.`
USR_IP3=`echo $FORM_ip_guest | cut -f 3 -d.`
USR_IP4=`echo $FORM_ip_guest | cut -f 4 -d.`
func_prepago "0" "$FORM_user_guest" "" "$USR_IP1" "$USR_IP2" "$USR_IP3" "$USR_IP4" || func_prepago
	fi
##<<

##>>
#SUSPENSO - By daniel.uramg
func_suspencao(){
[ `grep suspend.sh /var/spool/cron/crontabs/root` ] && DEFSIM="Checked" || DEFNAO="Checked"
cat << CLEOF
<form method="POST" action="">
<table border="0" cellpadding="2" cellspacing="1" width="100%">
  <td width="100%" class="maintable" colspan="2"><table border="0" width="100%" cellspacing="1" cellpadding="2">
<tr>
  <td width="100%" class="row7" id="normal" colspan="2">Easy Captive - $ECamg</td>
</tr>
  <tr>
  <td width="27%">
  <p align="right"><font size="1">$ECadl $ECamg: </font></td>
  <td width="73%" class="row3"><font size="1" face="Verdana">
  <input type="radio" value="1" $DEFSIM name="Suspend">$ECadj
  <input type="radio" value="0" $DEFNAO name="Suspend">$ECadk</font>
  </td>
  </tr>
<table border="0" width="100%" cellspacing="1" cellpadding="2">
<tr>
  <td width="35%" class="row3"><div align="center"><b>$ECaba</b></td>
  <td width="20%" class="row3"><div align="center"><b>$ECamj</b></td>
  <td width="20%" class="row3"><div align="center"><b>$ECamk</b></td>
  <td width="25%" class="row3"><div align="center"><b>$ECabf</b></td>
CLEOF
IFS=-
	cat $SUSPENDFILE | while read USER LOCK UNLOCK; do
[ "$cor" = 0 ] && { var="row2"; cor=1; } || { var="row1"; cor=0; }
cat << CLEOF
        <tr>
        <td class="$var style7"><div align="center">$USER</div></td>
        <td class="$var style7"><div align="center">$LOCK</div></td>
        <td class="$var style7"><div align="center">$UNLOCK</div></td>
        <td class="$var style7"><div align="center">
[<a href="?action=suspend&exec=ERASE&USER=$USER">$ECabk</a>] - 
[<a href="?action=suspend&exec=EDIT&USER=$USER">$ECabj</a>]</div></td>
        </tr>
CLEOF
	done
cat << CLEOF
<tr>
<td class="row3" width="33%" colspan="1">
  <p align="center"><font size="1">[<a href="?action=suspend&exec=ADD">$ECabm $ECaml</a>] </font></td>
<td class="row3" width="33%" colspan="2">
  <p align="center"><font size="1">[<a href="?action=suspend&exec=editjumpday">$ECabj $ECamh</a>] </font></td>
<td class="row3" width="33%" colspan="2">
  <p align="center"><font size="1">[<a href="?action=suspend&exec=editjumpweek">$ECabj $ECami</a>]</font></td>
  </tr>
  </td>
  </tr>
  </table>
  </table>
  <p align="center">
  <input type="submit" value="$ECabo" name="savesuspend"></p>
  </form>
CLEOF
}
	if [ "$FORM_savesuspend" = "$ECabo" ]; then
[ "$FORM_Suspend" = "0" ] && sed -i '/suspend.sh/d' /var/spool/cron/crontabs/root && /usr/sbin/./cron.reload
[ "$FORM_Suspend" = "1" ] && sed -i '/suspend.sh/d' /var/spool/cron/crontabs/root && echo "0-59/1 * * * * /usr/local/easycaptive/bin/./suspend.sh" >> /var/spool/cron/crontabs/root && /usr/sbin/./cron.reload
      echo "<br><br><br><center> $ECamm</center>"
      echo "<p align="center">[<a href="?action=suspend">$ECack</a>]</p>"
      touch /tmp/easycaptive.needsave
	fi

func_add_suspensao(){
cat << CLEOF
<div align="center">
<table width="37%" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="6" valign="middle" class="row7" id="normal">Easy Captive - $ECabm $ECaml</td>
      </tr>
<form method="POST" action="">
      <tr>
CLEOF
cat << CLEOF
<td class=row2 align=right>$ECacb:</td><td class=row3 width="103">
<select name="username" size="1">
CLEOF
	cat $PASSWDFILE | cut -f 1 -d: | while read USER_NAME; do
	[ "${1}" = "$USER_NAME" ] && SELECT="selected" || SELECT=""
cat << CLEOF
<option "$SELECT">$USER_NAME</option>
CLEOF
	done
cat << CLEOF
</select>
CLEOF
cat << CLEOF
      </tr>
      <tr>
        <td width="45%" class="row2"><div align="right"><span class="style3">$ECamj: </span></div></td>
        <td width="55%" class="row3">
        <input name="HORA_LK" value="${2}" size="4" maxlength="5" style="font-family: Verdana; font-size: 8 pt; " /> hh:mm</td>
      </tr>
      <tr>
        <td width="45%" class="row2"><div align="right"><span class="style3">$ECamk: </span></div></td>
        <td width="55%" class="row3">
        <input name="HORA_UL" value="${3}" size="4" maxlength="5" style="font-family: Verdana; font-size: 8 pt; " /> hh:mm</td>
      </tr>
      <tr>
        <td width="35%" class="row2">&nbsp;</td>
        <td width="65%" class="row3">
        <input type="submit" value="$ECacj" name="ADD_SUSPEND"></td>
      </tr>
</table>
CLEOF
}
	if [ "$FORM_ADD_SUSPEND" = "$ECacj" ]; then
[ "$FORM_HORA_LK" = "00:00" ] && FORM_HORA_LK="00:01"
[ "$FORM_HORA_UL" = "00:00" ] && FORM_HORA_UL="00:01"
sed "/^$FORM_username-/d" $SUSPENDFILE > /tmp/suspend.file
echo "$FORM_username-$FORM_HORA_LK-$FORM_HORA_UL" >> /tmp/suspend.file
sort /tmp/suspend.file > $SUSPENDFILE
touch /tmp/easycaptive.needsave
func_suspencao
	fi

func_editfile(){
cat << CLEOF
<table class=maintable width="100%"><tr><th>$ECabj $ECamn</th></tr><tr><td nowrap>
<center><form method="POST" action="">
<textarea rows=19 name=CFGFILE cols=80 wrap="off">
CLEOF
cat ${2}
cat << CLEOF
</textarea><p align=center><input type=submit value="$ECabo" name="save${1}"><input type=reset value="$ECabp"></td>
</form></td></tr></table>
<p align="center">[<a href="?action=suspend">$ECack</a>]</p>
CLEOF
}

func_saveeditfile(){
echo $FORM_CFGFILE > ${1}
      echo "<br><br><br><center> $ECamm</center>"
      echo "<p align="center">[<a href="?action=suspend">$ECack</a>]</p>"
      touch /tmp/easycaptive.needsave
}

[ "$FORM_action" = "suspend" -a -z "$FORM_exec" ] && func_suspencao
[ "$FORM_action" = "suspend" -a "$FORM_exec" = "ADD" ] && func_suspencao && func_add_suspensao
[ "$FORM_action" = "suspend" -a "$FORM_exec" = "ERASE" ] && sed -i "/^$FORM_USER-/d" $SUSPENDFILE && func_suspencao
[ "$FORM_action" = "suspend" -a "$FORM_exec" = "EDIT" ] && LK=`grep "^$FORM_USER-" $SUSPENDFILE | cut -f 2 -d-` && UL=`grep "^$FORM_USER-" $SUSPENDFILE | cut -f 3 -d-` && func_suspencao && func_add_suspensao "$FORM_USER" "$LK" "$UL"
[ "$FORM_action" = "suspend" -a "$FORM_exec" = "editjumpday" ] && func_editfile "JUMPDAY" "/usr/local/easycaptive/config/jumpday"
   [ "$FORM_saveJUMPDAY" = "$ECabo" ] && func_saveeditfile "/usr/local/easycaptive/config/jumpday"
[ "$FORM_action" = "suspend" -a "$FORM_exec" = "editjumpweek" ] && func_editfile "JUMPWEEK" "/usr/local/easycaptive/config/jumpweek"
   [ "$FORM_saveJUMPWEEK" = "$ECabo" ] && func_saveeditfile "/usr/local/easycaptive/config/jumpweek"
##>>

#Marcar cliente como Pago by daniel.uramg
if [ "$FORM_action" = "marcarpago" -a "$FORM_pago" != "SIM" ]; then
	TMP_USR_NAME=`echo $FORM_user | $UNESCAPE | sed "s/ /_/g"`
	DATA=`grep "$TMP_USR_NAME:" $PASSWDFILE | cut -f 6 -d:`
cat << CLEOF
<form method="POST" action="">
<br><br><br><center> $ECala <b>$TMP_USR_NAME</b> $ECalb?<p>$ECali:
<input type="hidden" name="user" value="$TMP_USR_NAME"> 
<input name="USR_DATA" value="$DATA" size="2" maxlength="2" style="font-family: ve; font-size: 8 pt"></p>
<p align=\"center\"><input type="submit" value="$ECadj" name="MAKEPAID" style="font-family: ti; font-size: 12pt; color: #0000FF; text-decoration: underline; border-style: outset; border-width: 1px; background-color: #CCCCCC"> - 
<a href="?action=auth"><input type="button" value="$ECadk" style="font-family: ti; font-size: 12pt; color: #0000FF; text-decoration: underline; border-style: outset; border-width: 1px; background-color: #CCCCCC"></a></p>
CLEOF
fi
if [ "$FORM_MAKEPAID" = "$ECadj" ]; then
	TMP_USR_NAME=`echo $FORM_user | $UNESCAPE | sed "s/ /_/g"`
	TMP_INF=`grep ^"$TMP_USR_NAME": $PASSWDFILE`
	TMP_PASS=`echo "$TMP_INF" | cut -f 2 -d :`
	TMP_USR_IP=`echo "$TMP_INF" | cut -f 3 -d :`
	TMP_USR_TIPO=`echo "$TMP_INF" | cut -f 4 -d :`
	TMP_USR_DATA=`echo "$FORM_USR_DATA" | sed -e /^0/s/0//`
[ -z "$TMP_PASS" ] && TMP_PASS="0"
$FILEFUNC DEL "$TMP_USR_NAME" >/dev/null
$FILEFUNC ADD "$TMP_USR_NAME" "$TMP_PASS" "$TMP_USR_IP" "$TMP_USR_TIPO" "0" "$TMP_USR_DATA" "P" >/dev/null
echo "$DIAHOY $TMP_USR_IP ($TMP_USR_NAME) - $ECacq" - $ECali: $TMP_USR_DATA >> $ACLOG
	echo "<br><br><br><center> $ECaco"
	echo "<p align=\"center\">[<a href=\"?action=auth\">$ECack</a>]</p>"
fi
##<<

##>>
#Vizualizar ficha do cliente
	if [ "$FORM_action" = "ver" ]; then
TMP_USR_NAME=`echo $FORM_user`
DATA=`grep "^$FORM_user:" $PASSWD $PASSWDFILE | cut -f 6 -d:`
TMP_USR_IP=`grep "^$FORM_user:" $PASSWD $PASSWDFILE | cut -f 3 -d:`
TIPO=`grep "^$FORM_user:" $PASSWD $PASSWDFILE | cut -f 4 -d:`
variaveis_automation
[ "$TIPO" = 0 ] && TIPO="$ECacc"
[ "$TIPO" = 1 ] && TIPO="$ECacd"
[ "$TIPO" = 2 ] && TIPO="$ECaag"
[ "$TIPO" = 3 ] && TIPO="$ECaah"
[ "$TIPO" = 4 ] && TIPO="$ECabt"
OBSERVACOES=`grep "^$TMP_USR_NAME:" /usr/local/easycaptive/config/cadastros | cut -f 6 -d: | sed 's/;/:/' | sed 's/<p><\/p>/\n/g'`

cat << CLEOF
<table width="70%" align="center" border="0" cellspacing="1" cellpadding="2">
  <tr>
    <td class="maintable"><table width="100%" border="0" cellspacing="1" cellpadding="2">
      <tr>
        <td colspan="6" valign="middle" class="row7" id="normal">Easy Captive - $ECamc</td>
      </tr>
CLEOF
cat << CLEOF
	<tr>
        <td width="30%" class="row1 style7"><div align="center"><b>$ECakb:</b></div></td>
        <td width="70%" class="row1 style7"><div align="center">$NOME</div></td></tr>
	<tr>
        <td width="30%" class="row2 style7"><div align="center"><b>$ECamb:</b></div></td>
        <td width="70%" class="row2 style7"><div align="center">$DATA_CADASTRO</div></td></tr>
	<tr>
        <td width="30%" class="row1 style7"><div align="center"><b>$ECakc:</b></div></td>
        <td width="70%" class="row1 style7"><div align="center">$TELEFONE</div></td></tr>
	<tr>
        <td width="30%" class="row2 style7"><div align="center"><b>$ECakl:</b></div></td>
        <td width="70%" class="row2 style7"><div align="center">$ENDERECO</div></td></tr>
	<tr>
        <td width="30%" class="row1 style7"><div align="center"><b>$ECakm:</b></div></td>
        <td width="70%" class="row1 style7"><div align="center">$OBSERVACOES</div></td></tr>
        </tr>
<tr><td style="background-color: #FFFFFF">-----------------------------</td><td style="background-color: #FFFFFF">----------------------------------------------------------------------</td></tr>
CLEOF
cat << CLEOF
	<tr>
        <td width="30%" class="row1 style7"><div align="center"><b>$ECaba:</b></div></td>
        <td width="70%" class="row1 style7"><div align="center">$FORM_user</div></td></tr>
	<tr>
        <td width="30%" class="row2 style7"><div align="center"><b>IP:</b></div></td>
        <td width="70%" class="row2 style7"><div align="center">$TMP_USR_IP</div></td></tr>
	<tr>
        <td width="30%" class="row1 style7"><div align="center"><b>$ECabc:</b></div></td>
        <td width="70%" class="row1 style7"><div align="center">$TIPO</div></td></tr>
	<tr>
        <td width="30%" class="row2 style7"><div align="center"><b>$ECacz:</b></div></td>
        <td width="70%" class="row2 style7"><div align="center">$DATA</div></td></tr>
<tr><td style="background-color: #FFFFFF">-----------------------------</td><td style="background-color: #FFFFFF">----------------------------------------------------------------------</td></tr>
CLEOF
if [ "$AMARRACAO" = 1 -o "$RESERVA" = 1 ]; then
cat << CLEOF
	<tr>
        <td width="30%" class="row1 style7"><div align="center"><b>MAC:</b></div></td>
        <td width="70%" class="row1 style7"><div align="center">$MAC_ATUAL</div></td></tr>
CLEOF
fi
if [ "$RESERVA" = 1 ]; then
cat << CLEOF
	<tr>
        <td width="30%" class="row2 style7"><div align="center"><b>$ECaja:</b></div></td>
        <td width="70%" class="row2 style7"><div align="center">$LEASE_ATUAL</div></td></tr>
CLEOF
fi
if [ "$QOS" = 1 -a "$QOS_MODO" = "SUBREDES" ]; then
cat << CLEOF
	<tr>
        <td width="30%" class="row1 style7"><div align="center"><b>Gateway:</b></div></td>
        <td width="70%" class="row1 style7"><div align="center">$GATEWAY_ATUAL</div></td></tr>
<tr><td style="background-color: #FFFFFF">-----------------------------</td><td style="background-color: #FFFFFF">----------------------------------------------------------------------</td></tr>
CLEOF
fi
if [ "$PLANO" != 1 -a "$QOS" = 1 -a "$QOS_MODO" = "SUBREDES" -o "$PLANO" != 1 -a "$QOS" = 1 -a "$QOS_MODO" = "SIMPLES" ]; then
cat << CLEOF
	<tr>
        <td width="30%" class="row1 style7"><div align="center"><b>$ECaje:</b></div></td>
        <td width="70%" class="row1 style7"><div align="center">$UP_MIN_ATUAL kbit/s</div></td></tr>
	<tr>
        <td width="30%" class="row2 style7"><div align="center"><b>$ECajf:</b></div></td>
        <td width="70%" class="row2 style7"><div align="center">$UP_MAX_ATUAL kbit/s</div></td></tr>
	<tr>
        <td width="30%" class="row1 style7"><div align="center"><b>$ECajc:</b></div></td>
        <td width="70%" class="row1 style7"><div align="center">$DOWN_MIN_ATUAL kbit/s</div></td></tr>
	<tr>
        <td width="30%" class="row2 style7"><div align="center"><b>$ECajd:</b></div></td>
        <td width="70%" class="row2 style7"><div align="center">$DOWN_MAX_ATUAL kbit/s</div></td></tr>
CLEOF
fi
if [ "$PLANO" = 1 -a "$QOS" = 1 -a "$QOS_MODO" = "SUBREDES" -o "$PLANO" = 1 -a "$QOS" = 1 -a "$QOS_MODO" = "SIMPLES" ]; then
cat /usr/local/easycaptive/config/planos | while read plano up_min up_max down_min down_max; do
[ "$UP_MIN_ATUAL" = "$up_min" -a "$UP_MAX_ATUAL" = "$up_max" -a "$DOWN_MIN_ATUAL" = "$down_min" -a "$DOWN_MAX_ATUAL" = "$down_max" ] && echo $plano >/tmp/plano
done
[ -e /tmp/plano ] || echo "Plano no cadastrado" >/tmp/plano
cat << CLEOF
	<tr>
        <td width="30%" class="row2 style7"><div align="center"><b>Plano:</b></div></td>
        <td width="70%" class="row2 style7"><div align="center">`cat /tmp/plano`</div></td></tr>
CLEOF
fi
[ -e "/tmp/plano" ] && rm /tmp/plano
cat << CLEOF
</td></tr></table>
CLEOF
	fi
##<<

#Mensagem Privada para EasyCaptive - By daniel.uramg
	if [ "$FORM_action" = "MP" ]; then
cat << CLEOF
<form method="POST" action="index.cgi">
<table class=maintable width=100%>
        <td colspan="6" valign="middle" class="row7" id="normal">EasyCaptive - $ECahh</td>
<tr><td class=row1 align=right><b>$ECacb: </b></td><td class=row2 width="103">
<select name="IP" size="1">
CLEOF
cat $PASSWDFILE | grep -v :3:0: | cut -f 1 -d: | while read USER_NAME; do
cat << CLEOF
<option>$USER_NAME</option>
CLEOF
done
cat << CLEOF
</select>
	<td class=row1 align=right><b>$ECahk:</b></td><td class=row2>
	<input type="text" name="MSG" size="27"></td>
	<tr><td><p><input type="submit" value="$ECabo" name="ENVIAR" style="float: right"></td>
		<td><p>&nbsp;</p></td>
	<td><p><input type="checkbox" name="EXCLUIR" value="ON"><font color="#FF0000"><b>$ECahg</b></font></p></td>
	<td><p><font color="#FF0000"><b>&nbsp;</b></font><input type="submit" value="$ECahj" name="REMOVER">(<a href="$SCRIPT?action=ListMPs">$ECahl</a>)</p></td>
	</tr>
	</table>
</form>
CLEOF
	fi

#Listar MPs
if [ "$FORM_action" = "ListMPs" ]; then
	echo '<table class=maintable border=0 width=\"100%\"><tr><td colspan="6" valign="middle" class="row7" id="normal">'$ECahm'::</td></tr><tr><td><pre>'
	cat $MP_FILE
	echo "<p align=\"center\">[<a href=\"?action=MP\">$ECack</a>]</p></pre></td></tr>"
fi

#REMOVER MP
if [ "$FORM_REMOVER" = "$ECahj" ]; then
	if [ ${#FORM_IP} = 0 ]; then
		echo "<br><br><br><center> $ECahf"
		echo "<p align=\"center\">[<a href=\"?action=MP\">$ECack</a>]</p>"
	elif [ "$FORM_EXCLUIR" != "ON" ]; then
		echo "<br><br><br><center> $ECahd"
		echo "<p align=\"center\">[<a href=\"?action=MP\">$ECack</a>]</p>"
	elif [ ${#VERIF} != 0 ];then
		cat $MP_FILE | sed '/'$FORM_IP:'/d' > $MP_FILE
		echo "<br><br><br><center> $ECahb ($FORM_IP)"
		echo "<p align=\"center\">[<a href=\"?action=MP\">$ECack</a>]</p>"
		touch /tmp/easycaptive.needsave
	else
		echo "<br><br><br><center> $ECahc"
		echo "<p align=\"center\">[<a href=\"?action=MP\">$ECack</a>]</p>"
	fi
fi

#CADASTRAR MP
if [ "$FORM_ENVIAR" = "$ECabo" ]; then
	if [ ${#FORM_IP} = 0 ]; then
		echo "<br><br><br><center> $ECahf"
		echo "<p align=\"center\">[<a href=\"?action=MP\">$ECack</a>]</p>"
	elif [ ${#FORM_MSG} = 0 ]; then
		echo "<br><br><br><center> $ECahp"
		echo "<p align=\"center\">[<a href=\"?action=MP\">$ECack</a>]</p>"
	elif [ ${#VERIF} != 0 ]; then
		echo "<br><br><br><center> $ECahe"
		echo "<p align=\"center\">[<a href=\"?action=MP\">$ECack</a>]</p>"
	else
		echo $FORM_IP:$FORM_MSG >> $MP_FILE
		echo "<br><br><br><center> $ECaha"
		echo "<p align=\"center\">[<a href=\"?action=MP\">$ECack</a>]</p>"
		touch /tmp/easycaptive.needsave
	fi
fi
##<<

##>>
#Pagina Inicial para EasyCaptive
if [ "$FORM_action" = "homepage" ]; then
	. $HPfile
	if [ $HPSTATUS = 1 ]; then
	DEFSIM="checked"
	else
	DEFNAO="checked"
	fi
cat << CLEOF

<form method="POST" action="index.cgi">
<table border="0" cellpadding="2" cellspacing="1" width="100%">
  <td width="100%" class="maintable" colspan="2"><table border="0" width="100%" cellspacing="1" cellpadding="2">
  <tr>
  <td width="100%" class="row7" id="normal" colspan="2">Easy Captive - $ECahn</td>
  </tr>
  <tr><td width="27%">
  <p align="right"><font size="1">$ECaho: </font></td>
  <td width="73%" class="row3"><font size="1" face="Verdana">
  <input type="radio" value="1" $DEFSIM name="URLEN">$ECadj
  <input type="radio" value="0" $DEFNAO name="URLEN">$ECadk</font>
  </td></tr>
  <tr><td width="27%">
  <p align="right"><font size="1">URL: </font></td>
  <td width="73%" class="row3"><font size="1" face="Verdana">
  <input size="40" name="HomePage" value="$HOME_URL"><font size="1">&nbsp; (www.brazilfw.com.br)</td>
  </tr>  
  </table>
  </td>
  </tr>
  </table>
  <p align="center">
  <input type="submit" value="$ECabo" name="homepage"></p>
  </form>
CLEOF
fi

#Salvar
if [ "$FORM_homepage" = "$ECabo" ]; then
	echo "HPSTATUS=$FORM_URLEN" > $HPfile
	echo "HOME_URL=$FORM_HomePage" >> $HPfile
	echo "<br><br><br><center>[<a href=\"?action=homepage\">$ECack</a>]</p>"
touch /tmp/easycaptive.needsave

fi
##<<

if [ "$FORM_action" = "authadduser" ]; then
	func_authenticate
fi

############>>Salva ADICIONAR autenticado
if [ "$FORM_AUTHSAVE" = "$ECacj" ]; then
	FORM_USR_NAME=`echo "$FORM_USR_NAME" | sed 's/[^a-zA-Z0-9]//g'`
	TMP_NAME=`echo "$FORM_USR_NAME" | sed "s/ /_/g" | sed s/://g`
	TMP_IP=`echo "$FORM_IP1"."$FORM_IP2"."$FORM_IP3"."$FORM_IP4"`
	USR_TIPO="$FORM_USR_TIPO"
       USR_DATA=`echo "$FORM_USR_DATA" | sed -e /^0/s/0//`

	if [ ! -z "$TMP_NAME" ]; then
		TMPID=`$FILEFUNC ADD "$TMP_NAME" "0" "$TMP_IP" "$USR_TIPO" "0" "$USR_DATA" "P"`
	   [ "$TMPID" = 1 ] && CERROR="$ECacm"
	else
		CERROR="$ECacn"
	fi
	   [ ! -z "$CERROR" ] && func_authenticate "0" "$USR_TIPO" "$FORM_USR_NAME" "$FORM_IP1" "$FORM_IP2" "$FORM_IP3" "$FORM_IP4" || func_authenticate
adicionar_automation
	[ -z "$CERROR" ] && echo "$DIAHOY $TMP_IP ($FORM_USR_NAME) - $ECalc!" >> $ACLOG
fi
############<<

############>>Exibe EDITAR Autenticados
if [ "$FORM_action" = "authedituser" ]; then
	TMP_USR_NAME=`echo $FORM_user | $UNESCAPE | sed "s/ /_/g"`
	TMP_USR_SHOW=`echo $FORM_user | $UNESCAPE`
	TMP_INF=`grep ^"$TMP_USR_NAME": $PASSWDFILE`
	USR_PASS=`echo "$TMP_INF" | cut -f 2 -d :`
	USR_IP=`echo "$TMP_INF" | cut -f 3 -d :`
	TMP_USR_IP=`echo "$TMP_INF" | cut -f 3 -d :`
	USR_TIP=`echo "$TMP_INF" | cut -f 4 -d :`
	USR_STA=`echo "$TMP_INF" | cut -f 5 -d :`
	USR_SITUACAO=`echo "$TMP_INF" | cut -f 7 -d :`
	USR_DATA=`echo "$TMP_INF" | cut -f 6 -d :`
	USR_IP1=`echo "$USR_IP" | cut -f 1 -d .`
	USR_IP2=`echo "$USR_IP" | cut -f 2 -d .`
	USR_IP3=`echo "$USR_IP" | cut -f 3 -d .`
	USR_IP4=`echo "$USR_IP" | cut -f 4 -d .`
variaveis_automation
func_authenticate "1" "$USR_TIP" "$TMP_USR_SHOW" "$USR_IP1" "$USR_IP2" "$USR_IP3" "$USR_IP4" "$USR_STA" "$USR_DATA" "$USR_SITUACAO"
fi
############<<

############>>Salva EDITAR Autenticados
if [ "$FORM_AUTHEDIT" = "$ECacj" ]; then
	TMP_USR_TIPO="$FORM_USR_TIPO"
	TMP_USR_NAME=`echo "$FORM_USR_NAME" | $UNESCAPE | sed "s/ /_/g"`
	TMP_USR_IP=`echo "$FORM_IP1"."$FORM_IP2"."$FORM_IP3"."$FORM_IP4"`
	TMP_USR_PASS=`echo $(grep "$TMP_USR_NAME": "$PASSWDFILE" | cut -f 2 -d :)`
	TMP_USR_DATA=`echo $(grep "$TMP_USR_NAME": "$PASSWDFILE" | cut -f 6 -d :)`
	TMP_USR_SIT=`echo $(grep "$TMP_USR_NAME": "$PASSWDFILE" | cut -f 7 -d :)`
variaveis_automation
[ -z "$FORM_USR_PASS" ] && TMP_PASS="$TMP_USR_PASS" || TMP_PASS=`echo $(/usr/bin/cryptpw "$FORM_USR_PASS")`
[ -z "$TMP_PASS" ] && TMP_PASS="0"

FORM_USR_DATA=`echo "$FORM_USR_DATA" | sed -e /^0/s/0//`
TMPID=`$FILEFUNC DEL "$TMP_USR_NAME"`
TMPID=`$FILEFUNC ADD "$TMP_USR_NAME" "$TMP_PASS" "$TMP_USR_IP" "$TMP_USR_TIPO" "$FORM_USR_PERM" "$FORM_USR_DATA" "$FORM_USR_SITUACAO"`
##>>
[ "$FORM_USR_PERM" = 0 ] && permissao="$ECace"
[ "$FORM_USR_PERM" = 1 ] && permissao="$ECacf"
[ "$FORM_USR_PERM" = 2 ] && permissao="$ECacg"
[ "$FORM_USR_SITUACAO" = A ] && situacao="$ECacp"
[ "$FORM_USR_SITUACAO" = P ] && situacao="$ECacq"
echo "$DIAHOY $TMP_USR_IP ($TMP_USR_NAME) - $ECabj: $ECacs=$FORM_USR_DATA $ECaci=$permissao $ECacr=$situacao" >> $ACLOG
salvar_automation
##<<
	echo "<br><br><br><center> $ECaco"
	echo "<p align=\"center\">[<a href=\"?action=auth\">$ECack</a>]</p>"
#	fi
fi
############<<

if [ "$FORM_action" = "preadduser" ]; then
	func_prepago
fi

############>> Salva ADICIONAR Pre-Pagos
if [ "$FORM_PRESAVE" = "$ECacj" ]; then
	FORM_USR_NAME=`echo "$FORM_USR_NAME" | sed 's/[^a-zA-Z0-9]//g'`
	TMP_NAME=`echo "$FORM_USR_NAME" | sed "s/ /_/g" | sed s/://g`
	TMP_IP=`echo "$FORM_IP1"."$FORM_IP2"."$FORM_IP3"."$FORM_IP4"`
	USR_HOUR=`echo "$FORM_USR_HOUR" | sed s/[^0-9]//g`
	if [ ! -z "$TMP_NAME" ]; then
		TMPID=`$FILEFUNC ADD "$TMP_NAME" "0" "$TMP_IP" "2" "0"`
	[ "$TMPID" = 1 ] && CERROR="$ECacm"
	[ -z "$CERROR" ] && $FILEFUNC CREATEPR "$TMP_IP" "$USR_HOUR"
	else
		CERROR="$ECacn"
	fi
	[ ! -z "$CERROR" ] && func_prepago "0" "$FORM_USR_NAME" "$FORM_USR_HOUR" "$FORM_IP1" "$FORM_IP2" "$FORM_IP3" "$FORM_IP4" || func_prepago
adicionar_automation
	[ -z "$CERROR" ] && echo "$DIAHOY $TMP_IP ($TMP_NAME) - $ECalc!" >> $ACLOG
fi
############<<

############>>Salva EDITAR Pre-Pagos
if [ "$FORM_PREEDIT" = "$ECacj" ]; then
	FORM_USR_NAME=`echo "$FORM_USR_NAME"`
	TMP_USR_NAME=`echo "$FORM_USR_NAME" | $UNESCAPE | sed "s/ /_/g"`
	TMP_USR_IP=`echo "$FORM_IP1"."$FORM_IP2"."$FORM_IP3"."$FORM_IP4"`
	TMP_FILENAME=`echo /partition/easycaptive/pre/"$TMP_USR_IP" | sed s/[.]//g`
	TMP_HOUR=`echo $(cat -u "$TMP_FILENAME".HC)`
	TMP_REST=`echo $(cat -u "$TMP_FILENAME".HR)`
	TMP_DIFF=$(echo "$TMP_HOUR*60-$TMP_REST" | $BC)
	TMP_DIFF=$(echo "$FORM_USR_HOUR*60-$TMP_DIFF" | $BC)
variaveis_automation
[ "$TMP_DIFF" -lt 1 ] && TMP_DIFF=0
	echo "$FORM_USR_HOUR" > "$TMP_FILENAME".HC
	echo "$TMP_DIFF" > "$TMP_FILENAME".HR
TMP_USR_PASS=`grep "$TMP_USR_NAME" $PASSWDFILE | cut -f 2 -d :`
[ -z "$FORM_USR_PASS" ] && TMP_PASS="$TMP_USR_PASS" || TMP_PASS=`echo $(/usr/bin/cryptpw "$FORM_USR_PASS")`
[ -z "$TMP_PASS" ] && TMP_PASS="0"
TMPID=`$FILEFUNC DEL "$TMP_USR_NAME"`
TMPID=`$FILEFUNC ADD "$TMP_USR_NAME" "$TMP_PASS" "$TMP_USR_IP" "2" "0"`
salvar_automation
	echo "<br><br><br><center> $ECaco"
	echo "<p align=\"center\">[<a href=\"?action=pre\">$ECack</a>]</p>"
fi
############<<

############>>Exibe EDITAR Pre-Pagos
if [ "$FORM_action" = "preedituser" ]; then
	TMP_USR_NAME=`echo $FORM_user | $UNESCAPE | sed "s/ /_/g"`
	TMP_USR_SHOW=`echo $FORM_user | $UNESCAPE`
	TMP_INF=`grep ^"$TMP_USR_NAME": $PASSWDFILE`
	USR_IP=`echo "$TMP_INF" | cut -f 3 -d :`
	TMP_USR_IP=`echo "$TMP_INF" | cut -f 3 -d :`
	USR_IP1=`echo "$USR_IP" | cut -f 1 -d .`
	USR_IP2=`echo "$USR_IP" | cut -f 2 -d .`
	USR_IP3=`echo "$USR_IP" | cut -f 3 -d .`
	USR_IP4=`echo "$USR_IP" | cut -f 4 -d .`
	USR_FILE=`echo "$USR_IP" | sed s/[.]//g`
	USR_VALUE=`echo $(cat -u /partition/easycaptive/pre/"$USR_FILE".HC)`
variaveis_automation
	func_prepago "1" "$TMP_USR_SHOW" "$USR_VALUE" "$USR_IP1" "$USR_IP2" "$USR_IP3" "$USR_IP4"
fi
############<<

if [ "$FORM_action" = "whiteadduser" ]; then
	func_whitelist
fi

############>>Exibe EDITAR Lista Branca
if [ "$FORM_action" = "whiteedituser" -a ! -z "$FORM_user" ]; then
	TMP_USR_NAME=`echo $FORM_user | $UNESCAPE | sed "s/ /_/g"`
	TMP_USR_IP=`grep ^$TMP_USR_NAME: $PASSWDFILE | cut -f 3 -d :`
	IP1=`echo $TMP_USR_IP | cut -f 1 -d .`
	IP2=`echo $TMP_USR_IP | cut -f 2 -d .`
	IP3=`echo $TMP_USR_IP | cut -f 3 -d .`
	IP4=`echo $TMP_USR_IP | cut -f 4 -d .`
variaveis_automation
	func_whitelist "1" "$FORM_user" "$IP1" "$IP2" "$IP3" "$IP4" "1" "0"
fi
############<<

############>>Salva ADICIONAR Lista Branca
if [ "$FORM_SALVARWHITELIST" = "$ECacj" ]; then
	FORM_USER_NAME=`echo "$FORM_USER_NAME" | sed 's/[^a-zA-Z0-9]//g'`
	TMP_USR=`echo "$FORM_USER_NAME" | sed "s/ /_/g" | sed s/://g`
	TMP_NAME=`echo $TMP_USR`
	TMP_IP=`echo "$FORM_IP1"."$FORM_IP2"."$FORM_IP3"."$FORM_IP4"`
	if [ ! -z "$TMP_USR" ]; then
		TMPID=`$FILEFUNC ADD "$TMP_USR" "0" $TMP_IP 3 0`
	[ "$TMPID" = 1 ] && CERROR="$ECacm"
	else
		CERROR="$ECacn"
	fi
[ ! -z "$CERROR" ] && func_whitelist "0" "$TMP_USR" "$FORM_IP1" "$FORM_IP2" "$FORM_IP3" "$FORM_IP4" || func_whitelist
adicionar_automation
[ -z "$CERROR" ] && echo "$DIAHOY $TMP_IP ($TMP_NAME) - $ECalc!" >> $ACLOG
fi
############<<

############>>Salva EDITAR Lista Branca
if [ "$FORM_EDITWHITELIST" = "$ECacj" ]; then
	TMP_IP=`echo "$FORM_IP1"."$FORM_IP2"."$FORM_IP3"."$FORM_IP4"`
	TMP_USR=`echo $FORM_USER_NAME | $UNESCAPE | sed "s/ /_/g"`
	TMPID=`$FILEFUNC IPUSE "$TMP_IP $TMP_USR"`
	TMP_USR_NAME=`echo $TMP_USR`
	TMP_USR_IP=`echo $TMP_IP`
variaveis_automation

#if [ "$TMPID" = 1 ]; then
#	CERROR="$ECadi"
#	func_whitelist "1" "$TMP_USR" "$FORM_IP1" "$FORM_IP2" "$FORM_IP3" "$FORM_IP4" "1" "1"
#	exit
#else

TMPID=`$FILEFUNC DEL "$TMP_USR"`
TMPID=`$FILEFUNC ADD "$TMP_USR" "0" $TMP_IP 3 0`
salvar_automation
	echo "<br><br><br><center> $ECaco</center>"
	echo "<p align=\"center\">[<a href=\"?action=white\">$ECack</a>]</p>"
#	fi
fi
############<<

if [ "$FORM_action" = "globalmessage" -o "$FORM_savemessage" = "$ECabo" ]; then
   if [ "$FORM_savemessage" = "$ECabo" ]; then
      echo $FORM_CFGFILE > /usr/local/easycaptive/web/html/global.html
      echo "<br><br><br><center> $ECado </center>"
      touch /tmp/easycaptive.needsave
else  
cat << CLEOF
<table class=maintable width="100%"><tr><th>$ECabj $ECaaj</th></tr><tr><td nowrap>
<center><form method="POST" action="?action=globalmessage">

<textarea rows=19 name=CFGFILE cols=80 wrap="off">
CLEOF
cat /usr/local/easycaptive/web/html/global.html
cat << CLEOF
</textarea>
<p align=center><input type=submit value="$ECabo" name="savemessage"><input type=reset value="$ECabp"></td>
</form>
</td></tr></table>
CLEOF
fi
cat << CLEOF
<p align="center">[<a href="?action=message">$ECack</a>]</p>
CLEOF
fi

if [ "$FORM_action" = "message" -o "$FORM_messageexecute" = "$ECabo" ] && [ "$METODO" = 1 ]; then
   [ "$FORM_exec" = "disconnectall" ] && $FILEFUNC DROP
        
	if [ "$FORM_messageexecute" = "$ECabo" ]; then
		echo "$FORM_MSG" > /usr/local/easycaptive/config/message.conf
		touch /tmp/easycaptive.needsave
	fi
	DEFMESSAGE=`echo $(cat /usr/local/easycaptive/config/message.conf)`
[ -z "$DEFMESSAGE" -o "$DEFMESSAGE" = 0 ] && DEFNAO="checked" || DEFSIM="checked"
cat << CLEOF
<form method="POST" action="">
<table border="0" cellpadding="2" cellspacing="1" width="100%">
 
  <td width="100%" class="maintable" colspan="2"><table border="0" width="100%" cellspacing="1" cellpadding="2">
  <tr>
  <td width="100%" class="row7" id="normal" colspan="2">Easy Captive - $ECaaj</td>
  </tr>
  <tr>
  <td width="27%">
  <p align="right"><font size="1">$ECadl $ECaaj: </font></td>
  <td width="73%" class="row3"><font size="1" face="Verdana">
  <input type="radio" value="1" $DEFSIM name="MSG">$ECadj
  <input type="radio" value="0" $DEFNAO name="MSG">$ECadk</font>
  </td>
  </tr>
  
  <tr>
  <td width="100%" colspan="2">
  <p align="center"><font size="1">[<a href="?action=globalmessage">$ECabj $ECaaj</a>] [<a href="?action=message&exec=disconnectall">$ECadm</a>]</font></td>
  </tr>
  </table>
  </td>
  </tr>
  </table>
  <p align="center">
  <input type="submit" value="$ECabo" name="messageexecute"></p>
  </form>
CLEOF
fi
ec_footer
