#!/bin/sh
#--------------------------------------#
# Autor: Washington Rodrigues (WoshMan)#
# Programa: EasyCaptive 2.0            #
#--------------------------------------#

#. /var/http/web-functions
. /usr/local/easycaptive/config/easycaptive.conf
. /etc/coyote/coyote.conf
. /usr/local/easycaptive/config/HPfile

if [ -n "$LANGUAGE_WEBADMIN" ]; then
  LC=`echo $LANGUAGE_WEBADMIN`
  [ -e "/usr/local/easycaptive/language/language.$LC" ] && . /usr/local/easycaptive/language/language.$LC || . /usr/local/easycaptive/language/language.ENU
else
 . /usr/local/easycaptive/language/language.ENU
fi

#Variaveis para LOG
D1=`date +%d/%m/%Y`
H1=`date +%H:%M`
DIAHOY="$D1 - $H1"
mac_user=`cat /proc/net/arp | grep "$REMOTE_ADDR " | tr -s ' ' | cut -d " " -f 4`
HOST_NAME=`cat /var/state/dhcp/dhcpd.leases | grep "$REMOTE_ADDR " | tr -s ' ' | cut -d " " -f 4`

#Arquivos de LOG
ACLOG="/partition/easycaptive/log/accesos.log"
BLLOG="/partition/easycaptive/log/blacklist.log"
BTLOG="/partition/easycaptive/log/bruteforce.log"
LKLOG="/partition/easycaptive/log/locked.log"

#Variaveis do sistema
PASSWD="/usr/local/easycaptive/config/passwd"
HTMLPATH="/usr/local/easycaptive/web/html/"
FUNC="/usr/local/easycaptive/bin/./easycaptive"
BC="/usr/local/easycaptive/bin/./bc"
UNESCAPE="/usr/local/easycaptive/var/./unescape.sed"
eval "`/usr/bin/proccgi`"

http_request() {
echo "Status: 404 Not Found"
echo "Cache-control: no-cache, must-revalidate, no-store, post-check=0, pre-check=0, false"
echo "Pragma: no-cache"
echo "Expires: Mon, 26 Jul 1997 05:00:00 GMT"
echo "Set-Cookie: ECSESSION=${1}"
echo "Content-Type: text/html"
echo ""
}

http_redirect_old() {
echo "Status: 301 Permanently moved"
echo "Location: ${1}"
echo "Cache-Control: no-store"
echo "Pragma: no-cahe"
echo "Set-Cookie: ECSESSION=${2}"
echo "Expires: -1"
echo ""
}

http_redirect() {
http_request 4
cat << CLEOF

<html>
<head>
<script language="javascript">
CLEOF
echo "function jsPost() {"
echo "  document.theForm.submit();"
echo "}"
cat << CLEOF

</script>
</head>
<body onLoad="jsPost()">
<form action="" name="theForm" method="POST">
<input type="hidden" name="REDIRECTURL" value="${1}">
</form>
<!--
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
#####################################################
--!>
</body>
</html>
CLEOF
}

func_return_pre() {
GFILEIP=`echo "${1}" | sed s/[.]//g`
PRE_CONTRATADO=`cat /partition/easycaptive/pre/"$GFILEIP".HC`
PRE_BUFFER=`cat /partition/easycaptive/pre/"$GFILEIP".HR`
PRE_INT=`echo "$PRE_BUFFER/60" | $BC`
PRE_RES=`echo "$PRE_BUFFER%60" | $BC`
if [ "$PRE_RES" -gt 0 ]; then
   [ ${#PRE_RES} = 1 ] && PRE_RES="0$PRE_RES"
   echo "$PRE_CONTRATADO@$PRE_INT:$PRE_RES"
   else
   echo "$PRE_CONTRATADO@$PRE_INT"
fi
}

#Verifica se Mensagem Global est ativada
func_message() {
TMP_MESSAGE=`echo $(cat /usr/local/easycaptive/config/message.conf)`
[ -z "$TMP_MESSAGE" -o "$TMP_MESSAGE" = 0 ] && echo 0 || echo 1
}

if [ "$METODO" = 1 ]; then
   GET_INFO=`grep $REMOTE_ADDR: $PASSWD`
   USER_NAME=`echo "$GET_INFO" | cut -f 1 -d:`
   USER_PASS=`echo "$GET_INFO" | cut -f 2 -d:`
   USER_TYPE=`echo "$GET_INFO" | cut -f 4 -d:`
   USER_STAT=`echo "$GET_INFO" | cut -f 5 -d:`

##>>
##Mensagem Privada - By daniel.uramg
#MP existente para o usuario
username=`grep :$REMOTE_ADDR: $PASSWD | cut -f 1 -d:`
   USER_MP=`grep $username: /usr/local/easycaptive/config/MP | cut -f 2 -d:`
#Data de pagamento do usuario
   USER_DATA=`echo "$GET_INFO" | cut -f 6 -d:`
#Situao do usuario
   USER_SITUACAO=`echo "$GET_INFO" | cut -f 7 -d:`
#Dia atual
   HOJE=`date +%d | sed -e /^0/s/0//`
   AMANHA="$(($HOJE+1))"
   [ $AMANHA = "31" -o $AMANHA = "32" ] && AMANHA="1"
#Se NO existir MP, data pagamento = data atual, Aviso automatico esta ativado e Situao  Aberto...
if [ ${#USER_MP} = 0 -a $USER_DATA = $HOJE -a $USER_SITUACAO = A -a $AUTO_MP = 1 ]; then
   USER_MP="$AVISO_1"
fi
#Se NO existir MP, data pagamento = amanh, Aviso automatico esta ativado e Situao  Aberto...
if [ ${#USER_MP} = 0 -a $USER_DATA = $AMANHA -a $USER_SITUACAO = A -a $AUTO_MP = 1 ]; then
   USER_MP="$AVISO_2"
fi

#Se NO existir MP, Situao  Aberto, usurio est Pr-Bloqueado, o Bloqueio  amanh e Aviso automatico esta ativado...
if [ ${#USER_MP} = 0 -a $USER_SITUACAO = A -a "$USER_STAT" = 1 -a $(($USER_DATA+$PRAZO)) = $HOJE -a $AUTO_MP = 1 ]; then
   USER_MP="$AVISO_3"
fi
##<<

##>>
#CRIA ARQUIVO PARA FORA BRUTA
   BFILEIP1=`echo "$REMOTE_ADDR" | sed s/[.]//g`
   BFILEIP="/tmp/$BFILEIP1".BFD
#Libera da Fora Bruta caso esteja preso - By daniel.uramg 14/12/2010
[ `echo $(cat -u "$BFILEIP")` -gt 4 ] && [ -z "`grep "BF $REMOTE_ADDR$" /var/spool/cron/crontabs/root`" ] && rm -f $BFILEIP
[ ! -e "$BFILEIP" ] && touch $BFILEIP
##<<

   URL=`echo "/cgi-bin/?$QUERY_STRING" | $UNESCAPE`

##>>
#Pagina Inicial
if [ $HPSTATUS = 1 ]; then
URLREDIR=http://`echo $HOME_URL`
else
URLREDIR=`echo $QUERY_STRING | sed s\url=`
fi
##<<

SESSION=`echo $HTTP_COOKIE";" | sed "s/\;/\n/g" | grep ECSESSION | sed "s/ECSESSION=//g"`

##DEBUG - By daniel.uramg
[ "$DEBUG" = "ON" ] && set > /$REMOTE_ADDR.variaveis

## CAPTURA ACESSOS A BLACKLIST
if [ -z "$GET_INFO" -o "$USER_TYPE" = 4 ]; then
   http_request 0
   echo $(cat "$HTMLPATH"blacklist.html)
[ -z "`sed -n '$p' "$BLLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 "`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($HOST_NAME)" >> $BLLOG
   exit 0
fi

## CAPTURA ACESSOS DA FORA BRUTA
if [ -e "$BFILEIP" ]; then
   FILE_VALUE=`echo $(cat -u "$BFILEIP")`
   if [ "$FILE_VALUE" -gt 4 ]; then
      http_request 0
      echo $(cat "$HTMLPATH"bruteforce.html)
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "bruteforce.html"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - bruteforce.html" >> $ACLOG
[ -z "`sed -n '$p' "$BTLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 "`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME)" >> $BTLOG
      exit 0
   fi
fi

## CAPTURA ACESSOS DE SUSPENSOS
if [ "$USER_STAT" = 5 -o "$USER_STAT" = 6 ]; then
   rm -f $BFILEIP
   http_request 0
   echo $(cat "$HTMLPATH"suspend.html)
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "suspend.html"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - suspend.html" >> $ACLOG
[ -z "`sed -n '$p' "$LKLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "suspend.html"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - suspend.html" >> $LKLOG
   exit 0
fi

## CAPTURA ACESSOS DE BLOQUEADOS
if [ "$USER_STAT" = 2 ]; then
   rm -f $BFILEIP
   http_request 0
   echo $(cat "$HTMLPATH"locked.html)
[ -z "`sed -n '$p' "$LKLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 "`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME)" >> $LKLOG
   exit 0
fi

## CAPTURA ACESSOS DE PR-PAGOS
if [ "$USER_TYPE" = 2 ]; then
   HFILEIP=`echo "$REMOTE_ADDR" | sed s/[.]//g`
   HFILEIP="/partition/easycaptive/pre/$HFILEIP".HR
   HFILEIP=$(cat -u $HFILEIP)
   if [ "$HFILEIP" = 0 ]; then
      http_request 4
      echo $(cat "$HTMLPATH"prepaid.html)
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "prepaid.html"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - prepaid.html" >> $ACLOG
      exit 0
   fi
fi

## Mensagem privada para No-Autenticados
if [ ${#USER_MP} != 0 -a "$USER_TYPE" = 1 -a "$SESSION" -lt 2 ]; then
   http_request 2
   echo $(cat "$HTMLPATH"mp.html) | sed s\%URLPOST%$URLg | sed "s/%USER_MP%/$USER_MP/g"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "mp.html"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - mp.html" >> $ACLOG 
   exit 0
fi

## CAPTURA ACESSOS A MENSAGEM GLOBAL
if [ "$SESSION" -lt 2 -a "$(func_message)" = 1 ]; then
   http_request 2
   echo $(cat "$HTMLPATH"global.html) | sed s\%URLPOST%$URLg
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "global.html"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - global.html" >> $ACLOG
   exit 0
fi

## CAPTURA ACESSOS DE PR-BLOQUEADOS
if [ "$USER_STAT" = 1 -a "$SESSION" -lt 3 ]; then
   http_request 3
   echo $(cat "$HTMLPATH"prelock.html) | sed s\%URLPOST%$URLg
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "prelock.html"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - prelock.html" >> $ACLOG
   exit 0
fi 

## CAPTURA ACESSO DE NO-AUTENTICADOS
if [ "$USER_TYPE" = 1 ] && [ "$USER_STAT" = 0 -o "$USER_STAT" = 1 ]; then
      if [ -z "$FORM_REDIRECTURL" ]; then
         http_redirect $URLREDIR 4
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "$ECadp"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECadp" >> $ACLOG
         exit 0
#      fi   
#      if [ ! -z "$FORM_REDIRECTURL" ]; then
      elif [ ! -z "$FORM_REDIRECTURL" ]; then
         rm -f $BFILEIP
         $FUNC ACCEPT $REMOTE_ADDR
         $FUNC ADDMO $REMOTE_ADDR
         http_redirect_old $FORM_REDIRECTURL 4
         exit 0
      fi    
fi

##Captura acessos autenticados --> 
##1 parte -->Captura log's da pagina de criao de senhas para autenticao
if [ -z "$USER_PASS" ] && [ "$USER_TYPE" = 0 -o "$USER_TYPE" = 2 ]; then
   if [ ! -z "$FORM_ACTION" ]; then
      CONF_PASSWORD=`echo "$FORM_USER_PASSWORD" | sed s/[^0-9A-Za-z]//g`
      if [ ${#FORM_USER_NAME} = 0 ]; then
         CERROR="$ECada"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "$ECaea"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECaea" >> $ACLOG
      elif [ "$FORM_USER_NAME" != "$USER_NAME" ]; then
         CERROR="$ECadb"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "$ECadb"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECadb : $FORM_USER_NAME" >> $ACLOG
      elif [ -z "$FORM_USER_PASSWORD" -o -z "$FORM_USER_PASSWORD1" ]; then
         CERROR="$ECadc"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "$ECadg"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECadg : $FORM_USER_NAME" >> $ACLOG
      elif [ "$FORM_USER_PASSWORD" != "$FORM_USER_PASSWORD1" ]; then
         CERROR="$ECadd"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "$ECaeb"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECaeb : $FORM_USER_NAME" >> $ACLOG
      elif [ ${#FORM_USER_PASSWORD} -lt 4 ]; then
         CERROR="$ECade"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "$ECaec"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECaec : $FORM_USER_NAME" >> $ACLOG
      elif [ "$CONF_PASSWORD" != "$FORM_USER_PASSWORD" ]; then
         CERROR="$ECadf"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "$ECaed"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECaed : $FORM_USER_NAME" >> $ACLOG
      else
         if [ "$USER_NAME" = "$FORM_USER_NAME" -a "$FORM_USER_PASSWORD" = "$FORM_USER_PASSWORD1" -a -z "$CERROR" ]; then
         NEW_PASSWORD=$(/usr/bin/cryptpw "$FORM_USER_PASSWORD")
         $FUNC DEL "$USER_NAME"
         $FUNC ADD "$USER_NAME" "$NEW_PASSWORD" "$REMOTE_ADDR" "$USER_TYPE" "$USER_STAT" "$USER_DATA" "$USER_SITUACAO"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "$ECaee"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECaee" >> $ACLOG
         http_redirect_old $URLREDIR 4
         exit 0
         fi
      fi             
   fi
   http_request 4
   echo $(cat "$HTMLPATH"addpassword.html) | sed s\%URLPOST%$URLg | sed "s/%ERROR%/$CERROR/g" | sed "s/%USER_NAME%/$USER_NAME/g"
   exit 0
fi

##>>Vizualizao de Logs do usurio
	if [ "$FORM_verlogs" = "Logs de Acesso" ]; then
      if [ ${#FORM_USER_NAME} = 0 ]; then
         CERROR="$ECada"
      elif [ "$FORM_USER_NAME" != "$USER_NAME" ]; then
         CERROR="$ECadb"
else
[ -e /tmp/eclog ] && rm /tmp/eclog
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "$ECafc"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECafc" >> $ACLOG
grep "($USER_NAME)" /partition/easycaptive/oldlog/*.* | cut -c42- > /tmp/eclog
grep "($USER_NAME)" /partition/easycaptive/log/*.* | sed '//s/\/\partition\/\easycaptive\/\log\///g' >> /tmp/eclog
verlogs=`cat /tmp/eclog`
http_request 4
cat << CLEOF

<title>Easy Captive $VERSION</title>
<center><font size="5"><b>$ECagf:</b> <font color="#0000FF"><u><b>$USER_NAME</b></u></font></font><b></b></center><form>
	<table class=maintable bordercolorlight="#000000" bgcolor="#E6FFFF" border="1"><tr><td nowrap>
<div align="left"><pre>
$verlogs
</pre></div></td></tr></table>
	<p align="center"><a href="/cgi-bin/">$ECack</a></center></p>
</form>
CLEOF
exit 0
     fi
	fi
##<<

##>>Trocar senha
	if [ "$FORM_action" = "salvar" ]; then
      CONF_PASSWORD=`echo "$FORM_USER_PASSWORD" | sed s/[^0-9A-Za-z]//g`
      OLD_PASSWORD=$(/usr/bin/cryptpw "$FORM_OLD_PASSWORD")
      if [ ${#FORM_USER_NAME} = 0 ]; then
         CERROR="$ECada"
      elif [ "$FORM_USER_NAME" != "$USER_NAME" ]; then
         CERROR="$ECadb"
      elif [ -z "$FORM_OLD_PASSWORD" -o -z "$FORM_USER_PASSWORD" -o -z "$FORM_USER_PASSWORD1" ]; then
         CERROR="$ECadc"
      elif [ "$OLD_PASSWORD" != "$USER_PASS" ]; then
         CERROR="$ECadu"
      elif [ "$FORM_USER_PASSWORD" != "$FORM_USER_PASSWORD1" ]; then
         CERROR="$ECadd"
      elif [ ${#FORM_USER_PASSWORD} -lt 4 ]; then
         CERROR="$ECade"
      elif [ "$CONF_PASSWORD" != "$FORM_USER_PASSWORD" ]; then
         CERROR="$ECadf"
      else
         if [ "$USER_NAME" = "$FORM_USER_NAME" -a "$OLD_PASSWORD" = "$USER_PASS" -a "$FORM_USER_PASSWORD" = "$FORM_USER_PASSWORD1" -a -z "$CERROR" ]; then
         NEW_PASSWORD=$(/usr/bin/cryptpw "$FORM_USER_PASSWORD")
         $FUNC DEL "$USER_NAME"
         $FUNC ADD "$USER_NAME" "$NEW_PASSWORD" "$REMOTE_ADDR" "$USER_TYPE" "$USER_STAT" "$USER_DATA" "$USER_SITUACAO"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "$ECaei"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECaei" >> $ACLOG
         http_redirect_old $URLREDIR 4
         exit 0
         fi
      fi 
   http_request 4
   echo $(cat "$HTMLPATH"changepassword.html) | sed s\%URLPOST%$URLg | sed "s/%ERROR%/$CERROR/g"
exit 0
	fi
	if [ "$FORM_editpass" = "Trocar senha" ]; then
   http_request 4
   echo $(cat "$HTMLPATH"changepassword.html) | sed s\%URLPOST%$URLg | sed "s/%ERROR%/$CERROR/g"
exit 0
	fi
##<<

## 2 parte --> Captura log's da pagina de autenticao
if [ ! -z "$USER_PASS" ] && [ "$USER_TYPE" = 0 -o "$USER_TYPE" = 2 ]; then
   if [ "$USER_TYPE" = 2 ]; then
      VAR_TMP=`echo $(func_return_pre $REMOTE_ADDR)`
      CONTRACT=`echo $VAR_TMP | cut -f 1 -d @`
      REMAINING=`echo $VAR_TMP | cut -f 2 -d @ | sed "s/ /:/g"`
      CONTRACT="$ECabh: $CONTRACT h"
      REMAINING="$ECabi: $REMAINING h"
   else
      CONTRACT=""
      REMAINING=""         
   fi

   if [ ! -z "$FORM_ACTION" ]; then    
      FORM_USER_PASSWORD=$(/usr/bin/cryptpw $FORM_USER_PASSWORD)
      if [ ${#FORM_USER_NAME} = 0 ]; then
         CERROR="$ECada"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "$ECaea"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECaea" >> $ACLOG
      elif [ "$FORM_USER_NAME" != "$USER_NAME" ]; then
         CERROR="$ECadb"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "$ECadb"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECadb : $FORM_USER_NAME" >> $ACLOG
      elif [ ${#FORM_USER_PASSWORD} = 0 ]; then
         CERROR="$ECadg"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "$ECadg"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECadg" >> $ACLOG
      elif [ "$FORM_USER_PASSWORD" != "$USER_PASS" ]; then
         CERROR="$ECadh"
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep " $H1 " | grep "$ECadh"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECadh" >> $ACLOG
             VAR_BF=`echo $(cat -u $BFILEIP)`
             VAR_BF=$(($VAR_BF+1))
             [ ! -z "$FORM_ACTION" ] && echo $VAR_BF > $BFILEIP
   
             if [ "$VAR_BF" = 5 ]; then
                 $FUNC ADDBF $REMOTE_ADDR
             fi
      else
         if [ "$FORM_USER_NAME" = "$USER_NAME" -a "$FORM_USER_PASSWORD" = "$USER_PASS" -a -z "$CERROR" ]; then
            $FUNC ACCEPT $REMOTE_ADDR
            rm -f $BFILEIP
            [ "$USER_TYPE" = 0 ] && $FUNC ADDMO $REMOTE_ADDR || $FUNC ADDPR $REMOTE_ADDR
[ -z "`sed -n '$p' "$ACLOG" 2>/dev/null | grep " $REMOTE_ADDR " | grep "$ECadp"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECadp" >> $ACLOG
            http_redirect_old $URLREDIR 4
            exit 0
         fi
      fi
   fi

#Soma +1 a BFFILE
   VAR_BF=`echo $(cat -u $BFILEIP)`
   VAR_BF=$(($VAR_BF+1))
   [ ! -z "$FORM_ACTION" ] && echo $VAR_BF > $BFILEIP

#Se BFFILE = 5, vai pra Fora Bruta
   if [ "$VAR_BF" = 5 ]; then
      $FUNC ADDBF $REMOTE_ADDR
   fi

## CAPTURA ACESSO  PAGINA DE LOGIN
   http_request 4
   echo $(cat "$HTMLPATH"login.html) | sed "s/%CONTRACT%/$CONTRACT/g" | sed "s/%REMAINING%/$REMAINING/g" | sed "s/%ERROR%/$CERROR/g" | sed s\%URLPOST%$URLg | sed "s/%USER_MP%/$USER_MP/g"
[ -z "`sed '$!N;$!D' $ACLOG | grep " $REMOTE_ADDR " | grep "login.html"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - login.html" >> $ACLOG
[ ${#USER_MP} != 0 ] && [ -z "`sed '$!N;$!D' "$ACLOG" | grep " $REMOTE_ADDR " | grep "$ECadq"`" ] && echo "$DIAHOY $REMOTE_ADDR $mac_user ($USER_NAME) - $ECadq" >> $ACLOG
   exit 0
fi

fi
